
/*
 Script for creating a local OCT Database
 Gerd Tautenhahn, Saxess Software GmbH 2020/06

*/

DECLARE @DatabaseName		NVARCHAR(255)	=N''
DECLARE @SQLServerVersion	NVARCHAR(255)	=N''
DECLARE @SQL				NVARCHAR(MAX)	=N''
DECLARE @StopFlag			INT				= 0

--CONFIGURATION ******************

SET @DatabaseName = N'OCT'				-- im Datenbankname nicht die Versionnummer von OCT einbauen ! (nach einem Update darf man sonst alle Verbindungsdefintionen anpassen)

-- Alternativen
	-- SET @DatabaseName = N'OCT_Personal'
	-- SET @DatabaseName = N'OCT_Testsystem'

--********************************

USE master;

SELECT @SQLServerVersion = CONVERT(NVARCHAR(255),SERVERPROPERTY('ProductVersion'));
	SET @SQLServerVersion = LEFT(@SQLServerVersion,2);


IF CAST(@SQLServerVersion AS INT) < 13
	BEGIN
		SET @StopFlag = 1
		PRINT 'Datenbankanlage nicht untersttzt, SQL Server Version kleiner als SQL 2016'	
	END;

IF @StopFlag < 1 AND DB_ID(@DatabaseName) IS NOT NULL
	BEGIN
		SET @StopFlag = 1
		PRINT 'Datenbank ' + @DatabaseName + ' existiert bereits, es wurde nicht getan.'
	END;

IF  @StopFlag < 1
	BEGIN
		SET @SQL = 'CREATE DATABASE [' + @DatabaseName +'] COLLATE SQL_Latin1_General_CP1_CI_AS';
		EXEC (@SQL);
		SET @SQL = 'ALTER DATABASE [' + @DatabaseName +'] SET AUTO_SHRINK OFF';
		EXEC (@SQL);
		SET @SQL = 'ALTER DATABASE [' +  @DatabaseName +'] SET RECOVERY SIMPLE';
		EXEC (@SQL);
		PRINT 'Datenbank ' + @DatabaseName + ' erfolgreich erstellt.';
	END

