
/*
	Script for creating OCT Administrator
	Gerd Tautenhahn, Saxess Software GmbH 2023/02
	Default Administrator will be the user who initializes the database
*/

DECLARE  @Username		NVARCHAR (255) = N''
		,@UserNachname	NVARCHAR (255) = N''
		,@UserVorname	NVARCHAR (255) = N''
		,@UserMail		NVARCHAR (255) = N'';

SET @Username = ORIGINAL_LOGIN();

-- delete if already exists
DELETE FROM system.trUser	WHERE UserName = @Username;
DELETE FROM system.trRights	WHERE UserName = @Username;

DECLARE @UserKey INT;

INSERT INTO system.trUser
           (UserName
           ,PersonSurname
           ,PersonFirstName
           ,Email
           ,LDAPIP
           ,[Status]
		   ,DataFlowRightsCODE
		   ,VisualizationRightsCODE
		   ,IsAdministratorFlag)
     VALUES
           (@Username 
           ,@UserNachname
           ,@UserVorname 
           ,@UserMail
           ,N''
           ,N'Active'
		   ,N'DESIGNER'
		   ,N'DESIGNER'
		   ,1);

SELECT @UserKey = scope_identity();

INSERT INTO system.trRights
           (UserKey
           ,UserName
           ,FactoryID
           ,ProductLineID
           ,ProductID
           ,[Right]
		   ,ReadCommentMandatory
		   ,WriteCommentMandatory)
     VALUES
           (@UserKey
           ,@Username
           ,N''
           ,N''
           ,N''
           ,N'Write'
		   ,0
		   ,0);
GO
