
-- Fill planning.tgCluster with initial data ##########################################################################################################################################

-- REFRESH RuntimeValues on every API Update
DELETE FROM planning.tgCluster WHERE PropertyID IN ('DB01','DB02','DB03','DB04')

INSERT INTO planning.tgCluster
           (PropertyID
           ,PropertyName
           ,CommentUser
           ,CommentDev
           ,Unit
           ,ValueText
           ,ValueInt
           ,Scale
		   ,IsROSystemproperty
		   ,FormatID)
     VALUES
		   -- Database Properties ---------------------------------------------------------
		   (
		    'DB01'
           ,'DatabaseServer'
           ,'Name of the DatabaseServer, hosting this Cluster.'
           ,'SystemValue of last Refresh, not necessary Runtime Value.'
           ,'Text'
           ,@@SERVERNAME
           ,0
           ,0
		   ,1
		   ,'')
		   ,
		   (
		    'DB03'
           ,'DatabaseVersion'
           ,'DatabaseVersion, hosting this Cluster.'
           ,'SystemValue of last Refresh, not necessary Runtime Value.'
           ,'Text'
           ,@@VERSION
           ,0
           ,0
		   ,1
		   ,'')
		   ,
		   (
		    'DB04'
           ,'DatabaseName'
           ,'DatabaseName, hosting this Cluster.'
           ,'SystemValue of last Refresh, not necessary Runtime Value.'
           ,'Text'
           ,DB_NAME()
           ,0
           ,0
		   ,1
		   ,'')

-- Special Property with error handling for Azure Databases ----------------------------------------------------------------------------
DECLARE @T TABLE(ServiceName NVARCHAR(255)); 
DECLARE @Rows INT
DECLARE @ServiceName NVARCHAR(255)

IF SERVERPROPERTY('Edition') != 'SQL Azure'
	BEGIN TRY
		INSERT @T(ServiceName) EXEC ('SELECT @@SERVICENAME')
	END TRY	
	BEGIN CATCH
	END CATCH

SELECT @Rows = COUNT(*) FROM @T

IF @Rows = 0
	INSERT @T(ServiceName) Values ('SQL Azure')
	
SELECT @ServiceName = ServiceName FROM @T 


	INSERT INTO planning.tgCluster
				(PropertyID
				,PropertyName
				,CommentUser
				,CommentDev
				,Unit
				,ValueText
				,ValueInt
				,Scale
				,IsROSystemproperty
				,FormatID)
			VALUES
				(
				 'DB02'
				,'DatabaseInstance'
				,'Name of the DatabaseInstance, hosting this Cluster.'
				,'SystemValue of last Refresh, not necessary Runtime Value.'
				,'Text'
				,@SERVICENAME
				,0
				,0
				,1
				,'none')


-- Keep UserValues *****************************************************
DECLARE @ExistFlag INT = 0


-- PreferencesAreUserDependendFlag
SELECT @ExistFlag = Count(*) FROM planning.tgCluster WHERE PropertyID IN ('C06')
IF @ExistFlag = 0 
		BEGIN
			INSERT INTO planning.tgCluster (PropertyID,PropertyName,CommentUser,CommentDev,Unit,ValueText,ValueInt,Scale,IsROSystemproperty,FormatID)
			VALUES ('C06','PreferencesAreUserDependendFlag','Preferences are saved per User','will be set by ClusterAdmin ','Flag','',1,1,0,'')
		END

GO
