/*
    OCT 5.0
    Description: SQL statement inserts global CODEs
    saxess-software GmbH
	09/2020

*/

-- CODEs for DataTypes
EXEC global.spPOST_Code @ModuleID = 'system', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TEXT'		,@Description = 'Datatype in multitype tables for text';
EXEC global.spPOST_Code @ModuleID = 'system', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'DATE'		,@Description = 'Datatype in multitype tables for date values';
EXEC global.spPOST_Code @ModuleID = 'system', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'DATETIME'	,@Description = 'Datatype in multitype tables for datetime Values';
EXEC global.spPOST_Code @ModuleID = 'system', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BOOLEAN'	,@Description = 'Datatype in multitype tables for boolean values';
EXEC global.spPOST_Code @ModuleID = 'system', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'NUMBER'	,@Description = 'Datatype in multitype tables for numbers';
EXEC global.spPOST_Code @ModuleID = 'system', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'JSON'		,@Description = 'Datatype in multitype tables for JSON';

-- CODEs for global.tPeriods
EXEC global.spPOST_Code @ModuleID = 'periods', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'Q1'		,@Description = '1. Quartal';
EXEC global.spPOST_Code @ModuleID = 'periods', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'Q1'		,@Description = 'First quarter';
EXEC global.spPOST_Code @ModuleID = 'periods', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'Q2'		,@Description = '2. Quartal';
EXEC global.spPOST_Code @ModuleID = 'periods', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'Q2'		,@Description = 'Second quarter';
EXEC global.spPOST_Code @ModuleID = 'periods', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'Q3'		,@Description = '3. Quartal';
EXEC global.spPOST_Code @ModuleID = 'periods', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'Q3'		,@Description = 'Third quarter';
EXEC global.spPOST_Code @ModuleID = 'periods', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'Q4'		,@Description = '4. Quartal';
EXEC global.spPOST_Code @ModuleID = 'periods', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'Q4'		,@Description = 'Fourth quarter';
EXEC global.spPOST_Code @ModuleID = 'periods', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'HY1'		,@Description = '1. Halbjahr';
EXEC global.spPOST_Code @ModuleID = 'periods', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'HY1'		,@Description = 'First half-year';
EXEC global.spPOST_Code @ModuleID = 'periods', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'HY2'		,@Description = '2. Halbjahr';
EXEC global.spPOST_Code @ModuleID = 'periods', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'HY2'		,@Description = 'Second half-year';

-- CODEs for ISO 3166-1 alpha-2 – two-letter country codes - German
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'AD'		,@Description = 'Andorra';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'AE'		,@Description = 'Vereinigte Arabische Emirate';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'AF'		,@Description = 'Afghanistan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'AG'		,@Description = 'Antigua und Barbuda';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'AI'		,@Description = 'Anguilla';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'AL'		,@Description = 'Albanien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'AM'		,@Description = 'Armenien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'AO'		,@Description = 'Angola';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'AQ'		,@Description = 'Antarktis';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'AR'		,@Description = 'Argentinien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'AS'		,@Description = 'Amerikanisch-Samoa';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'AT'		,@Description = 'Österreich';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'AU'		,@Description = 'Australien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'AW'		,@Description = 'Aruba';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'AX'		,@Description = 'Åland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'AZ'		,@Description = 'Aserbaidschan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BA'		,@Description = 'Bosnien und Herzegowina';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BB'		,@Description = 'Barbados';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BD'		,@Description = 'Bangladesch';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BE'		,@Description = 'Belgien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BF'		,@Description = 'Burkina Faso';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BG'		,@Description = 'Bulgarien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BH'		,@Description = 'Bahrain';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BI'		,@Description = 'Burundi';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BJ'		,@Description = 'Benin';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BL'		,@Description = 'Saint-Barthélemy';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BM'		,@Description = 'Bermuda';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BN'		,@Description = 'Brunei';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BO'		,@Description = 'Bolivien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BQ'		,@Description = 'Bonaire,  Saba,  Sint Eustatius';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BR'		,@Description = 'Brasilien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BS'		,@Description = 'Bahamas';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BT'		,@Description = 'Bhutan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BV'		,@Description = 'Bouvetinsel';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BW'		,@Description = 'Botswana';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BY'		,@Description = 'Weißrussland (Belarus)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'BZ'		,@Description = 'Belize';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CA'		,@Description = 'Kanada';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CC'		,@Description = 'Kokosinseln';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CD'		,@Description = 'Demokratische Republik Kongo (ehem. Zaire)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CF'		,@Description = 'Zentralafrikanische Republik';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CG'		,@Description = 'Republik Kongo (ehem. Kongo-Brazzaville)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CH'		,@Description = 'Schweiz';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CI'		,@Description = 'Elfenbeinküste (Côte d’Ivoire)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CK'		,@Description = 'Cookinseln';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CL'		,@Description = 'Chile';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CM'		,@Description = 'Kamerun';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CN'		,@Description = 'Volksrepublik China';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CO'		,@Description = 'Kolumbien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CR'		,@Description = 'Costa Rica';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CU'		,@Description = 'Kuba';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CV'		,@Description = 'Kap Verde (Cabo Verde)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CW'		,@Description = 'Curaçao';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CX'		,@Description = 'Weihnachtsinsel';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CY'		,@Description = 'Zypern';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'CZ'		,@Description = 'Tschechien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'DE'		,@Description = 'Deutschland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'DJ'		,@Description = 'Dschibuti';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'DK'		,@Description = 'Dänemark';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'DM'		,@Description = 'Dominica';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'DO'		,@Description = 'Dominikanische Republik';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'DZ'		,@Description = 'Algerien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'EC'		,@Description = 'Ecuador';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'EE'		,@Description = 'Estland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'EG'		,@Description = 'Ägypten';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'EH'		,@Description = 'Westsahara';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'ER'		,@Description = 'Eritrea';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'ES'		,@Description = 'Spanien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'ET'		,@Description = 'Äthiopien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'FI'		,@Description = 'Finnland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'FJ'		,@Description = 'Fidschi';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'FK'		,@Description = 'Falklandinseln';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'FM'		,@Description = 'Mikronesien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'FO'		,@Description = 'Färöer';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'FR'		,@Description = 'Frankreich';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GA'		,@Description = 'Gabun';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GB'		,@Description = 'Vereinigtes Königreich';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GD'		,@Description = 'Grenada';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GE'		,@Description = 'Georgien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GF'		,@Description = 'Französisch-Guayana';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GG'		,@Description = 'Guernsey (Kanalinsel)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GH'		,@Description = 'Ghana';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GI'		,@Description = 'Gibraltar';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GL'		,@Description = 'Grönland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GM'		,@Description = 'Gambia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GN'		,@Description = 'Guinea';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GP'		,@Description = 'Guadeloupe';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GQ'		,@Description = 'Äquatorialguinea';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GR'		,@Description = 'Griechenland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GS'		,@Description = 'Südgeorgien und die Südlichen Sandwichinseln';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GT'		,@Description = 'Guatemala';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GU'		,@Description = 'Guam';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GW'		,@Description = 'Guinea-Bissau';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'GY'		,@Description = 'Guyana';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'HK'		,@Description = 'Hongkong';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'HM'		,@Description = 'Heard und McDonaldinseln';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'HN'		,@Description = 'Honduras';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'HR'		,@Description = 'Kroatien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'HT'		,@Description = 'Haiti';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'HU'		,@Description = 'Ungarn';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'ID'		,@Description = 'Indonesien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'IE'		,@Description = 'Irland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'IL'		,@Description = 'Israel';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'IM'		,@Description = 'Isle of Man';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'IN'		,@Description = 'Indien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'IO'		,@Description = 'Britisches Territorium im Indischen Ozean';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'IQ'		,@Description = 'Irak';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'IR'		,@Description = 'Iran';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'IS'		,@Description = 'Island';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'IT'		,@Description = 'Italien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'JE'		,@Description = 'Jersey (Kanalinsel)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'JM'		,@Description = 'Jamaika';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'JO'		,@Description = 'Jordanien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'JP'		,@Description = 'Japan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'KE'		,@Description = 'Kenia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'KG'		,@Description = 'Kirgisistan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'KH'		,@Description = 'Kambodscha';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'KI'		,@Description = 'Kiribati';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'KM'		,@Description = 'Komoren';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'KN'		,@Description = 'St. Kitts und Nevis';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'KP'		,@Description = 'Nordkorea';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'KR'		,@Description = 'Südkorea';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'KW'		,@Description = 'Kuwait';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'KY'		,@Description = 'Cayman Islands (Kaimaninseln)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'KZ'		,@Description = 'Kasachstan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'LA'		,@Description = 'Laos';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'LB'		,@Description = 'Libanon';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'LC'		,@Description = 'St. Lucia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'LI'		,@Description = 'Liechtenstein';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'LK'		,@Description = 'Sri Lanka';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'LR'		,@Description = 'Liberia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'LS'		,@Description = 'Lesotho';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'LT'		,@Description = 'Litauen';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'LU'		,@Description = 'Luxemburg';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'LV'		,@Description = 'Lettland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'LY'		,@Description = 'Libyen';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MA'		,@Description = 'Marokko';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MC'		,@Description = 'Monaco';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MD'		,@Description = 'Moldau (Moldawien)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'ME'		,@Description = 'Montenegro';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MF'		,@Description = 'Saint-Martin (französischer Teil)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MG'		,@Description = 'Madagaskar';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MH'		,@Description = 'Marshallinseln';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MK'		,@Description = 'Nordmazedonien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'ML'		,@Description = 'Mali';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MM'		,@Description = 'Myanmar (Burma)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MN'		,@Description = 'Mongolei';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MO'		,@Description = 'Macau';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MP'		,@Description = 'Nördliche Marianen';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MQ'		,@Description = 'Martinique';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MR'		,@Description = 'Mauretanien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MS'		,@Description = 'Montserrat';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MT'		,@Description = 'Malta';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MU'		,@Description = 'Mauritius';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MV'		,@Description = 'Malediven';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MW'		,@Description = 'Malawi';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MX'		,@Description = 'Mexiko';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MY'		,@Description = 'Malaysia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'MZ'		,@Description = 'Mosambik';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'NA'		,@Description = 'Namibia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'NC'		,@Description = 'Neukaledonien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'NE'		,@Description = 'Niger';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'NF'		,@Description = 'Norfolkinsel';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'NG'		,@Description = 'Nigeria';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'NI'		,@Description = 'Nicaragua';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'NL'		,@Description = 'Niederlande';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'NO'		,@Description = 'Norwegen';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'NP'		,@Description = 'Nepal';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'NR'		,@Description = 'Nauru';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'NU'		,@Description = 'Niue';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'NZ'		,@Description = 'Neuseeland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'OM'		,@Description = 'Oman';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'PA'		,@Description = 'Panama';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'PE'		,@Description = 'Peru';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'PF'		,@Description = 'Französisch-Polynesien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'PG'		,@Description = 'Papua-Neuguinea';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'PH'		,@Description = 'Philippinen';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'PK'		,@Description = 'Pakistan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'PL'		,@Description = 'Polen';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'PM'		,@Description = 'Saint-Pierre und Miquelon';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'PN'		,@Description = 'Pitcairninseln';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'PR'		,@Description = 'Puerto Rico';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'PS'		,@Description = 'Palästina';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'PT'		,@Description = 'Portugal';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'PW'		,@Description = 'Palau';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'PY'		,@Description = 'Paraguay';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'QA'		,@Description = 'Katar';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'RE'		,@Description = 'Réunion';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'RO'		,@Description = 'Rumänien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'RS'		,@Description = 'Serbien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'RU'		,@Description = 'Russland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'RW'		,@Description = 'Ruanda';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SA'		,@Description = 'Saudi-Arabien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SB'		,@Description = 'Salomonen';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SC'		,@Description = 'Seychellen';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SD'		,@Description = 'Sudan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SE'		,@Description = 'Schweden';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SG'		,@Description = 'Singapur';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SH'		,@Description = 'St. Helena, Ascension und Tristan da Cunha';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SI'		,@Description = 'Slowenien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SJ'		,@Description = 'Spitzbergen und Jan Mayen';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SK'		,@Description = 'Slowakei';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SL'		,@Description = 'Sierra Leone';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SM'		,@Description = 'San Marino';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SN'		,@Description = 'Senegal';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SO'		,@Description = 'Somalia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SR'		,@Description = 'Suriname';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SS'		,@Description = 'Südsudan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'ST'		,@Description = 'São Tomé und Príncipe';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SV'		,@Description = 'El Salvador';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SX'		,@Description = 'Sint Maarten';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SY'		,@Description = 'Syrien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'SZ'		,@Description = 'Eswatini';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'TC'		,@Description = 'Turks- und Caicosinseln';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'TD'		,@Description = 'Tschad';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'TF'		,@Description = 'Französische Süd- und Antarktisgebiete';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'TG'		,@Description = 'Togo';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'TH'		,@Description = 'Thailand';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'TJ'		,@Description = 'Tadschikistan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'TK'		,@Description = 'Tokelau';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'TL'		,@Description = 'Osttimor (Timor-Leste)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'TM'		,@Description = 'Turkmenistan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'TN'		,@Description = 'Tunesien';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'TO'		,@Description = 'Tonga';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'TR'		,@Description = 'Türkei';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'TT'		,@Description = 'Trinidad und Tobago';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'TV'		,@Description = 'Tuvalu';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'TW'		,@Description = 'Taiwan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'TZ'		,@Description = 'Tansania';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'UA'		,@Description = 'Ukraine';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'UG'		,@Description = 'Uganda';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'UM'		,@Description = 'United States Minor Outlying Islands';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'US'		,@Description = 'Vereinigte Staaten';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'UY'		,@Description = 'Uruguay';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'UZ'		,@Description = 'Usbekistan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'VA'		,@Description = 'Vatikanstadt';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'VC'		,@Description = 'St. Vincent und die Grenadinen';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'VE'		,@Description = 'Venezuela';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'VG'		,@Description = 'Britische Jungferninseln';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'VI'		,@Description = 'Amerikanische Jungferninseln';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'VN'		,@Description = 'Vietnam';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'VU'		,@Description = 'Vanuatu';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'WF'		,@Description = 'Wallis und Futuna';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'WS'		,@Description = 'Samoa';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'YE'		,@Description = 'Jemen';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'YT'		,@Description = 'Mayotte';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'ZA'		,@Description = 'Südafrika';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'ZM'		,@Description = 'Sambia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'DE', @Scope = 'default', @CODE = 'ZW'		,@Description = 'Simbabwe';

-- CODEs for ISO 3166-1 alpha-2 – two-letter country codes - English
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'AD'		,@Description = 'Andorra';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'AE'		,@Description = 'United Arab Emirates';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'AF'		,@Description = 'Afghanistan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'AG'		,@Description = 'Antigua and Barbuda';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'AI'		,@Description = 'Anguilla';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'AL'		,@Description = 'Albania';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'AM'		,@Description = 'Armenia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'AO'		,@Description = 'Angola';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'AQ'		,@Description = 'Antarctica';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'AR'		,@Description = 'Argentina';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'AS'		,@Description = 'American Samoa';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'AT'		,@Description = 'Austria';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'AU'		,@Description = 'Australia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'AW'		,@Description = 'Aruba';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'AX'		,@Description = 'Åland Islands';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'AZ'		,@Description = 'Azerbaijan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BA'		,@Description = 'Bosnia and Herzegovina';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BB'		,@Description = 'Barbados';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BD'		,@Description = 'Bangladesh';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BE'		,@Description = 'Belgium';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BF'		,@Description = 'Burkina Faso';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BG'		,@Description = 'Bulgaria';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BH'		,@Description = 'Bahrain';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BI'		,@Description = 'Burundi';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BJ'		,@Description = 'Benin';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BL'		,@Description = 'Saint Barthélemy';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BM'		,@Description = 'Bermuda';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BN'		,@Description = 'Brunei Darussalam';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BO'		,@Description = 'Bolivia (Plurinational State of)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BQ'		,@Description = 'Bonaire, Sint Eustatius and Saba';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BR'		,@Description = 'Brazil';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BS'		,@Description = 'Bahamas';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BT'		,@Description = 'Bhutan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BV'		,@Description = 'Bouvet Island';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BW'		,@Description = 'Botswana';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BY'		,@Description = 'Belarus';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'BZ'		,@Description = 'Belize';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CA'		,@Description = 'Canada';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CC'		,@Description = 'Cocos (Keeling) Islands';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CD'		,@Description = 'Congo, Democratic Republic of the';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CF'		,@Description = 'Central African Republic';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CG'		,@Description = 'Congo';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CH'		,@Description = 'Switzerland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CI'		,@Description = 'Côte d''Ivoire';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CK'		,@Description = 'Cook Islands';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CL'		,@Description = 'Chile';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CM'		,@Description = 'Cameroon';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CN'		,@Description = 'China';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CO'		,@Description = 'Colombia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CR'		,@Description = 'Costa Rica';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CU'		,@Description = 'Cuba';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CV'		,@Description = 'Cabo Verde';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CW'		,@Description = 'Curaçao';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CX'		,@Description = 'Christmas Island';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CY'		,@Description = 'Cyprus';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'CZ'		,@Description = 'Czechia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'DE'		,@Description = 'Germany';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'DJ'		,@Description = 'Djibouti';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'DK'		,@Description = 'Denmark';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'DM'		,@Description = 'Dominica';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'DO'		,@Description = 'Dominican Republic';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'DZ'		,@Description = 'Algeria';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'EC'		,@Description = 'Ecuador';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'EE'		,@Description = 'Estonia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'EG'		,@Description = 'Egypt';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'EH'		,@Description = 'Western Sahara';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'ER'		,@Description = 'Eritrea';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'ES'		,@Description = 'Spain';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'ET'		,@Description = 'Ethiopia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'FI'		,@Description = 'Finland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'FJ'		,@Description = 'Fiji';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'FK'		,@Description = 'Falkland Islands (Malvinas)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'FM'		,@Description = 'Micronesia (Federated States of)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'FO'		,@Description = 'Faroe Islands';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'FR'		,@Description = 'France';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GA'		,@Description = 'Gabon';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GB'		,@Description = 'United Kingdom of Great Britain and Northern Ireland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GD'		,@Description = 'Grenada';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GE'		,@Description = 'Georgia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GF'		,@Description = 'French Guiana';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GG'		,@Description = 'Guernsey';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GH'		,@Description = 'Ghana';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GI'		,@Description = 'Gibraltar';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GL'		,@Description = 'Greenland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GM'		,@Description = 'Gambia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GN'		,@Description = 'Guinea';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GP'		,@Description = 'Guadeloupe';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GQ'		,@Description = 'Equatorial Guinea';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GR'		,@Description = 'Greece';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GS'		,@Description = 'South Georgia and the South Sandwich Islands';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GT'		,@Description = 'Guatemala';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GU'		,@Description = 'Guam';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GW'		,@Description = 'Guinea-Bissau';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'GY'		,@Description = 'Guyana';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'HK'		,@Description = 'Hong Kong';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'HM'		,@Description = 'Heard Island and McDonald Islands';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'HN'		,@Description = 'Honduras';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'HR'		,@Description = 'Croatia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'HT'		,@Description = 'Haiti';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'HU'		,@Description = 'Hungary';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'ID'		,@Description = 'Indonesia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'IE'		,@Description = 'Ireland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'IL'		,@Description = 'Israel';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'IM'		,@Description = 'Isle of Man';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'IN'		,@Description = 'India';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'IO'		,@Description = 'British Indian Ocean Territory';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'IQ'		,@Description = 'Iraq';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'IR'		,@Description = 'Iran (Islamic Republic of)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'IS'		,@Description = 'Iceland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'IT'		,@Description = 'Italy';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'JE'		,@Description = 'Jersey';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'JM'		,@Description = 'Jamaica';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'JO'		,@Description = 'Jordan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'JP'		,@Description = 'Japan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'KE'		,@Description = 'Kenya';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'KG'		,@Description = 'Kyrgyzstan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'KH'		,@Description = 'Cambodia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'KI'		,@Description = 'Kiribati';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'KM'		,@Description = 'Comoros';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'KN'		,@Description = 'Saint Kitts and Nevis';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'KP'		,@Description = 'Korea (Democratic People''s Republic of)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'KR'		,@Description = 'Korea, Republic of';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'KW'		,@Description = 'Kuwait';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'KY'		,@Description = 'Cayman Islands';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'KZ'		,@Description = 'Kazakhstan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'LA'		,@Description = 'Lao People''s Democratic Republic';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'LB'		,@Description = 'Lebanon';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'LC'		,@Description = 'Saint Lucia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'LI'		,@Description = 'Liechtenstein';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'LK'		,@Description = 'Sri Lanka';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'LR'		,@Description = 'Liberia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'LS'		,@Description = 'Lesotho';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'LT'		,@Description = 'Lithuania';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'LU'		,@Description = 'Luxembourg';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'LV'		,@Description = 'Latvia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'LY'		,@Description = 'Libya';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MA'		,@Description = 'Morocco';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MC'		,@Description = 'Monaco';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MD'		,@Description = 'Moldova, Republic of';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'ME'		,@Description = 'Montenegro';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MF'		,@Description = 'Saint Martin (French part)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MG'		,@Description = 'Madagascar';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MH'		,@Description = 'Marshall Islands';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MK'		,@Description = 'North Macedonia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'ML'		,@Description = 'Mali';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MM'		,@Description = 'Myanmar';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MN'		,@Description = 'Mongolia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MO'		,@Description = 'Macao';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MP'		,@Description = 'Northern Mariana Islands';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MQ'		,@Description = 'Martinique';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MR'		,@Description = 'Mauritania';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MS'		,@Description = 'Montserrat';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MT'		,@Description = 'Malta';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MU'		,@Description = 'Mauritius';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MV'		,@Description = 'Maldives';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MW'		,@Description = 'Malawi';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MX'		,@Description = 'Mexico';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MY'		,@Description = 'Malaysia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'MZ'		,@Description = 'Mozambique';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'NA'		,@Description = 'Namibia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'NC'		,@Description = 'New Caledonia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'NE'		,@Description = 'Niger';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'NF'		,@Description = 'Norfolk Island';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'NG'		,@Description = 'Nigeria';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'NI'		,@Description = 'Nicaragua';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'NL'		,@Description = 'Netherlands';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'NO'		,@Description = 'Norway';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'NP'		,@Description = 'Nepal';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'NR'		,@Description = 'Nauru';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'NU'		,@Description = 'Niue';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'NZ'		,@Description = 'New Zealand';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'OM'		,@Description = 'Oman';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'PA'		,@Description = 'Panama';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'PE'		,@Description = 'Peru';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'PF'		,@Description = 'French Polynesia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'PG'		,@Description = 'Papua New Guinea';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'PH'		,@Description = 'Philippines';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'PK'		,@Description = 'Pakistan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'PL'		,@Description = 'Poland';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'PM'		,@Description = 'Saint Pierre and Miquelon';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'PN'		,@Description = 'Pitcairn';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'PR'		,@Description = 'Puerto Rico';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'PS'		,@Description = 'Palestine, State of';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'PT'		,@Description = 'Portugal';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'PW'		,@Description = 'Palau';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'PY'		,@Description = 'Paraguay';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'QA'		,@Description = 'Qatar';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'RE'		,@Description = 'Réunion';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'RO'		,@Description = 'Romania';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'RS'		,@Description = 'Serbia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'RU'		,@Description = 'Russian Federation';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'RW'		,@Description = 'Rwanda';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SA'		,@Description = 'Saudi Arabia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SB'		,@Description = 'Solomon Islands';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SC'		,@Description = 'Seychelles';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SD'		,@Description = 'Sudan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SE'		,@Description = 'Sweden';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SG'		,@Description = 'Singapore';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SH'		,@Description = 'Saint Helena, Ascension and Tristan da Cunha';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SI'		,@Description = 'Slovenia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SJ'		,@Description = 'Svalbard and Jan Mayen';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SK'		,@Description = 'Slovakia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SL'		,@Description = 'Sierra Leone';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SM'		,@Description = 'San Marino';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SN'		,@Description = 'Senegal';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SO'		,@Description = 'Somalia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SR'		,@Description = 'Suriname';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SS'		,@Description = 'South Sudan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'ST'		,@Description = 'Sao Tome and Principe';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SV'		,@Description = 'El Salvador';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SX'		,@Description = 'Sint Maarten (Dutch part)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SY'		,@Description = 'Syrian Arab Republic';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'SZ'		,@Description = 'Eswatini';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TC'		,@Description = 'Turks and Caicos Islands';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TD'		,@Description = 'Chad';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TF'		,@Description = 'French Southern Territories';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TG'		,@Description = 'Togo';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TH'		,@Description = 'Thailand';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TJ'		,@Description = 'Tajikistan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TK'		,@Description = 'Tokelau';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TL'		,@Description = 'Timor-Leste';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TM'		,@Description = 'Turkmenistan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TN'		,@Description = 'Tunisia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TO'		,@Description = 'Tonga';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TR'		,@Description = 'Turkey';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TT'		,@Description = 'Trinidad and Tobago';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TV'		,@Description = 'Tuvalu';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TW'		,@Description = 'Taiwan, Province of China';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'TZ'		,@Description = 'Tanzania, United Republic of';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'UA'		,@Description = 'Ukraine';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'UG'		,@Description = 'Uganda';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'UM'		,@Description = 'United States Minor Outlying Islands';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'US'		,@Description = 'United States of America';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'UY'		,@Description = 'Uruguay';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'UZ'		,@Description = 'Uzbekistan';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'VA'		,@Description = 'Holy See';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'VC'		,@Description = 'Saint Vincent and the Grenadines';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'VE'		,@Description = 'Venezuela (Bolivarian Republic of)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'VG'		,@Description = 'Virgin Islands (British)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'VI'		,@Description = 'Virgin Islands (U.S.)';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'VN'		,@Description = 'Viet Nam';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'VU'		,@Description = 'Vanuatu';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'WF'		,@Description = 'Wallis and Futuna';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'WS'		,@Description = 'Samoa';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'YE'		,@Description = 'Yemen';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'YT'		,@Description = 'Mayotte';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'ZA'		,@Description = 'South Africa';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'ZM'		,@Description = 'Zambia';
EXEC global.spPOST_Code @ModuleID = 'countries', @LanguageID	= 'EN', @Scope = 'default', @CODE = 'ZW'		,@Description = 'Zimbabwe';
