/*
    Product: OCT 5.0
    Object: global.tStructureDescriptions
    Type: Content
    Author: saxess-software GmbH
    Script Date: 18.07.2019 14:38
*/

IF NOT EXISTS (SELECT 1 FROM global.tStructureDescriptions)
BEGIN

    INSERT global.tStructureDescriptions
    (
        StructureElementID
      , LanguageID
      , Description
    )
    VALUES
    (N'1000', N'DE', N'HGB')
  , (N'B', N'DE', N'Bilanz')
  , (N'DEB', N'DE', N'Debitoren')
  , (N'GV', N'DE', N'GuV')
  , (N'KRED', N'DE', N'Kreditoren')
  , (N'ST01', N'DE', N'Statistik')
  , (N'103000', N'DE', N'Aufwendungen für RHB und bezogene Waren SZ2')
  , (N'104000', N'DE', N'Aufwendungen für bezogene Leistungen SZ2')
  , (N'106000', N'DE', N'Löhne und Gehälter SZ2')
  , (N'107000', N'DE', N'Soziale Abgaben')
  , (N'204000', N'DE', N'Gesetzliche soziale Aufwendungen SZ2')
  , (N'211000', N'DE', N'Aufwendungen für Altersversorgung SZ2')
  , (N'109000', N'DE', N'Abschreibungen auf IVG und SAV SZ2')
  , (N'110000', N'DE', N'Abschreiben auf UV, soweit unüblich hoch SZ2')
  , (N'114000', N'DE', N'Ergebnisumbuchung nach 8980 SZ2')
  , (N'115000', N'DE', N'Sonstige betriebliche Aufwendungen SZ2')
  , (N'117000', N'DE', N'Umsatzerlöse')
  , (N'121000', N'DE', N'Sonstige betriebliche Erträge GS')
  , (N'122000', N'DE', N'Materialaufwand')
  , (N'125000', N'DE', N'Personalaufwand')
  , (N'128000', N'DE', N'Abschreibungen')
  , (N'131000', N'DE', N'Sonstige betriebliche Aufwendungen')
  , (N'141000', N'DE', N'Steuern')
  , (N'118000', N'DE', N'UE - aus bezahltem Sport GS')
  , (N'119000', N'DE', N'UE - aus Fußball mit Lizenzspielern GS')
  , (N'120000', N'DE', N'UE - aus Sonstigem GS')
  , (N'123000', N'DE', N'Aufwendungen für RHB und bezogene Waren GS')
  , (N'124000', N'DE', N'Aufwendungen für bezogene Leistungen GS')
  , (N'126000', N'DE', N'Löhne und Gehälter GS')
  , (N'127000', N'DE', N'Soziale Abgaben')
  , (N'205000', N'DE', N'Gesetzliche soziale Aufwendungen GS')
  , (N'212000', N'DE', N'Aufwendungen für Altersversorgung GS')
  , (N'129000', N'DE', N'Abschreibungen auf IVG und SAV GS')
  , (N'130000', N'DE', N'Abschreiben auf UV, soweit unüblich hoch GS')
  , (N'132000', N'DE', N'Sonstige Kosten GS')
  , (N'133000', N'DE', N'Entschädigungen, Sportveranstaltungen GS')
  , (N'134000', N'DE', N'Veranstaltungsabhängige Kosten GS')
  , (N'135000', N'DE', N'Kosten der Sportanlagen GS')
  , (N'136000', N'DE', N'Allgemeinde Kosten des Sportbetriebs GS')
  , (N'137000', N'DE', N'Betriebskosten Fahrzeuge, Transportmittel GS')
  , (N'138000', N'DE', N'Betriebskosten Ausstattung, Sportgeräte GS')
  , (N'139000', N'DE', N'Gewerbesteuer, Abgaben GS')
  , (N'140000', N'DE', N'Sonstige Steuern, Abgaben GS')
  , (N'143000', N'DE', N'Umsatzerlöse')
  , (N'147000', N'DE', N'Sonstige betriebliche Aufwendungen')
  , (N'144000', N'DE', N'Kommerzielle Werbung GNS')
  , (N'145000', N'DE', N'Kurzfristige Vermietung von Sportstätten an Nichtmitglieder GNS')
  , (N'146000', N'DE', N'UE - Sonstiges GNS')
  , (N'148000', N'DE', N'Ausgaben für Werbung GNS')
  , (N'149000', N'DE', N'Ausgaben zur Sportstättenvermietung GNS')
  , (N'150000', N'DE', N'Sonstige Kosten GNS')
  , (N'172000', N'DE', N'Betriebsergebnis')
  , (N'173000', N'DE', N'Finanzergebnis')
  , (N'174000', N'DE', N'Steuern')
  , (N'158000', N'DE', N'Aufwendungen für RHB und bezogene Waren SG1')
  , (N'159000', N'DE', N'Aufwendungen für bezogene Leistungen SG1')
  , (N'162000', N'DE', N'Löhne und Gehälter SG1')
  , (N'163000', N'DE', N'Soziale Abgaben')
  , (N'206000', N'DE', N'Gesetzliche soziale Aufwendungen SG1')
  , (N'213000', N'DE', N'Aufwendungen für Altersversorgung SG1')
  , (N'165000', N'DE', N'Abschreibungen auf IVG und SAV SG1')
  , (N'166000', N'DE', N'Abschreiben auf UV, soweit unüblich hoch SG1')
  , (N'152000', N'DE', N'Umsatzerlöse SG1')
  , (N'153000', N'DE', N'Bestandsveränderung SG1')
  , (N'154000', N'DE', N'Andere aktivierte Eigenleistungen SG1')
  , (N'155000', N'DE', N'Sonstige betriebliche Erträge SG1')
  , (N'157000', N'DE', N'Materialaufwand')
  , (N'160000', N'DE', N'Sonstige betriebliche Aufwendungen SG1')
  , (N'161000', N'DE', N'Personalaufwand')
  , (N'164000', N'DE', N'Abschreibungen')
  , (N'156000', N'DE', N'Sonstige Zinsen und ähnliche Einnahmen SG1')
  , (N'168000', N'DE', N'Erträge aus Beteiligungen SG1')
  , (N'169000', N'DE', N'Erträge aus anderen Wertpapieren SG1')
  , (N'170000', N'DE', N'Abschreibungen auf FA SG1')
  , (N'215000', N'DE', N'Sonstige Zinsen und ähnliche Erträge SG1')
  , (N'216000', N'DE', N'Zinsen und ähnliche Aufwendungen SG1')
  , (N'167000', N'DE', N'Steuern vom Einkommen SG1')
  , (N'171000', N'DE', N'Sonstige Steuern SG1')
  , (N'195000', N'DE', N'Sonstige Steuern SG2')
  , (N'196000', N'DE', N'Betriebsergebnis')
  , (N'197000', N'DE', N'Finanzergebnis')
  , (N'19000', N'DE', N'Bewilligungen')
  , (N'20000', N'DE', N'Rückgängig gemachte Bewilligungen')
  , (N'181000', N'DE', N'Aufwendungen für RHB und bezogene Waren SG2')
  , (N'182000', N'DE', N'Aufwendungen für bezogene Leistungen SG2')
  , (N'184000', N'DE', N'Löhne und Gehälter SG2')
  , (N'185000', N'DE', N'Soziale Abgaben')
  , (N'207000', N'DE', N'Gesetzliche soziale Aufwendungen SG2')
  , (N'214000', N'DE', N'Aufwendungen für Altersversorgung SG2')
  , (N'187000', N'DE', N'Abschreibungen auf IVG und SAV SG2')
  , (N'188000', N'DE', N'Abschreiben auf UV, soweit unüblich hoch SG2')
  , (N'176000', N'DE', N'Umsatzerlöse SG2')
  , (N'177000', N'DE', N'Bestandsveränderung SG2')
  , (N'178000', N'DE', N'Andere aktivierte Eigenleistungen SG2')
  , (N'179000', N'DE', N'Sonstige betriebliche Erträge SG2')
  , (N'180000', N'DE', N'Materialaufwand')
  , (N'183000', N'DE', N'Personalaufwand')
  , (N'186000', N'DE', N'Abschreibungen')
  , (N'189000', N'DE', N'Sonstige betriebliche Aufwendungen SG2')
  , (N'190000', N'DE', N'Erträge aus Beteiligungen SG2')
  , (N'191000', N'DE', N'Erträge aus anderen Wertpapieren SG2')
  , (N'192000', N'DE', N'Sonstige Zinsen und ähnliche Erträge SG2')
  , (N'193000', N'DE', N'Abschreibungen auf FA SG2')
  , (N'194000', N'DE', N'Zinsen und ähnliche Aufwendungen SG2')
  , (N'199000', N'DE', N'Erträge/Einnahmen EZ')
  , (N'200000', N'DE', N'Aufwendungen/Ausgaben EZ')
  , (N'222000', N'DE', N'Nicht durch Vermögenseinlagen gedeckte Entnahmen - persönlich haftende Gesellschafter')
  , (N'223000', N'DE', N'Nicht durch Vermögenseinlagen gedeckte Entnahmen - Kommanditisten')
  , (N'224000', N'DE', N'Nicht durch Vermögenseinlagen gedeckte Entnahmen persönlich haftende Gesellschafter - Verrechnungskonto')
  , (N'225000', N'DE', N'Nicht durch Vermögenseinlagen gedeckte Entnahmen Kommanditisten - Verrechnungskonto')
  , (N'228000', N'DE', N'')
  , (N'229000', N'DE', N'UE - davon aus Ausgleichsbeträgen für frühere Geschäftsjahre')
  , (N'31000', N'DE', N'Umsatzerlöse')
  , (N'36000', N'DE', N'Sonstige betriebliche Erträge')
  , (N'41000', N'DE', N'Materialaufwand')
  , (N'44000', N'DE', N'Personalaufwand')
  , (N'47000', N'DE', N'Abschreibungen')
  , (N'51000', N'DE', N'Sonstige betriebliche Aufwendungen')
  , (N'58000', N'DE', N'Umsatzerlöse')
  , (N'64000', N'DE', N'Sonstige betriebliche Erträge ZS2')
  , (N'66000', N'DE', N'Materialaufwand')
  , (N'69000', N'DE', N'Personalaufwand')
  , (N'72000', N'DE', N'Abschreibungen')
  , (N'75000', N'DE', N'Sonstige betriebliche Aufwendungen')
  , (N'32000', N'DE', N'UE - aus Eintrittsgeldern ZS1')
  , (N'33000', N'DE', N'UE - aus Sportreisen ZS1')
  , (N'34000', N'DE', N'UE - aus sonstigen sportlichen Veranstaltungen ZS1')
  , (N'35000', N'DE', N'UE - aus Leistungen an Mitglieder ZS1')
  , (N'65000', N'DE', N'UE - aus Sonstigem  ZS1')
  , (N'37000', N'DE', N'SbE - aus veranstaltungsgebundenen Zuschüssen  ZS1')
  , (N'40000', N'DE', N'Sonstige betriebliche Erträge  ZS1')
  , (N'42000', N'DE', N'Aufwendungen für RHB und bezogene Waren  ZS1')
  , (N'43000', N'DE', N'Aufwendungen für bezogene Leistungen  ZS1')
  , (N'45000', N'DE', N'Löhne und Gehälter ZS1')
  , (N'46000', N'DE', N'Soziale Abgaben  ZS1')
  , (N'201000', N'DE', N'Gesetzliche soziale Aufwendungen   ZS1')
  , (N'208000', N'DE', N'Aufwendungen für Altersversorgung  ZS1')
  , (N'48000', N'DE', N'Abschreibungen auf IVG und SAV ZS1')
  , (N'50000', N'DE', N'Abschreiben auf UV, soweit unüblich hoch ZS1')
  , (N'6000', N'DE', N'')
  , (N'BP0106', N'DE', N'Gewinnrücklagen')
  , (N'BP0112', N'DE', N'Ergebnisrücklagen')
  , (N'52000', N'DE', N'Entschädigungen, Sportveranstaltungen ZS1')
  , (N'53000', N'DE', N'Kosten der Sportanlagen ZS1')
  , (N'54000', N'DE', N'Allgemeine Kosten des Sportbetriebs ZS1')
  , (N'55000', N'DE', N'Betriebskosten Fahrzeuge, Transportmittel ZS1')
  , (N'56000', N'DE', N'Betriebskosten Ausstattung, Sportgeräte ZS1')
  , (N'57000', N'DE', N'Sonstige Kosten - Zweckbetrieb Sport ZS1')
  , (N'59000', N'DE', N'UE - aus Sportunterricht ZS2')
  , (N'60000', N'DE', N'UE - aus Teilnehmergebühren ZS2')
  , (N'61000', N'DE', N'UE - aus Sportunterricht Jugendhilfe ZS2')
  , (N'62000', N'DE', N'UE - aus sportlichen Veranstaltungen Jugendunterricht ZS2')
  , (N'63000', N'DE', N'UE - aus Sonstigem ZS2')
  , (N'67000', N'DE', N'Aufwendungen für RHB und bezogene Waren ZS2')
  , (N'68000', N'DE', N'Aufwendungen für bezogene Leistungen ZS2')
  , (N'70000', N'DE', N'Löhne und Gehälter ZS2')
  , (N'71000', N'DE', N'Soziale Abgaben')
  , (N'202000', N'DE', N'Gesetzliche soziale Aufwendungen ZS2')
  , (N'209000', N'DE', N'Aufwendungen für Altersversorgung ZS2')
  , (N'73000', N'DE', N'Abschreibungen auf IVG und SAV ZS2')
  , (N'74000', N'DE', N'Abschreiben auf UV, soweit unüblich hoch ZS2')
  , (N'76000', N'DE', N'Sportunterricht ZS2')
  , (N'77000', N'DE', N'Darbietung Jugendlicher und Erwachsener ZS2')
  , (N'78000', N'DE', N'Sonstige Kosten ZS2')
  , (N'79000', N'DE', N'Ergebnisumbuchung nach 8980 ZS2')
  , (N'81000', N'DE', N'Umsatzerlöse SZ1')
  , (N'82000', N'DE', N'Bestandsveränderung SZ1')
  , (N'83000', N'DE', N'Andere aktivierte Eigenleistungen SZ1')
  , (N'84000', N'DE', N'Sonstige betriebliche Erträge SZ1')
  , (N'85000', N'DE', N'Materialaufwand')
  , (N'88000', N'DE', N'Personalaufwand')
  , (N'91000', N'DE', N'Abschreibungen')
  , (N'94000', N'DE', N'Sonstige betriebliche Aufwendungen SZ1')
  , (N'95000', N'DE', N'Zinsen und ähnliche Aufwendungen SZ1')
  , (N'96000', N'DE', N'Sonstige Steuern SZ1')
  , (N'86000', N'DE', N'Aufwendungen für RHB und bezogene Waren SZ1')
  , (N'87000', N'DE', N'Aufwendungen für bezogene Leistungen SZ1')
  , (N'89000', N'DE', N'Löhne und Gehälter SZ1')
  , (N'90000', N'DE', N'Soziale Abgaben')
  , (N'203000', N'DE', N'Gesetzliche soziale Aufwendungen SZ1')
  , (N'210000', N'DE', N'Aufwendungen für Altersversorgung SZ1')
  , (N'92000', N'DE', N'Abschreibungen auf IVG und SAV SZ1')
  , (N'93000', N'DE', N'Abschreiben auf UV, soweit unüblich hoch SZ1')
  , (N'100000', N'DE', N'Andere aktivierte Eigenleistungen SZ2')
  , (N'101000', N'DE', N'Sonstige betriebliche Erträge SZ2')
  , (N'102000', N'DE', N'Materialaufwand')
  , (N'105000', N'DE', N'Personalaufwand')
  , (N'108000', N'DE', N'Abschreibungen')
  , (N'111000', N'DE', N'Sonstige betriebliche Aufwendungen')
  , (N'112000', N'DE', N'Zinsen und ähnliche Aufwendungen SZ2')
  , (N'113000', N'DE', N'Sonstige Steuern SZ2')
  , (N'98000', N'DE', N'Umsatzerlöse SZ2')
  , (N'99000', N'DE', N'Bestandsveränderung SZ2')
  , (N'BA', N'DE', N'Aktiva')
  , (N'BP', N'DE', N'Passiva')
  , (N'220000', N'DE', N'Aufwendungen für die Ingangsetzung und Erweiterung des Geschäftsbetriebs')
  , (N'BA01', N'DE', N'Anlagevermögen')
  , (N'BA02', N'DE', N'Umlaufvermögen')
  , (N'BA03', N'DE', N'Rechnungsabgrenzungsposten')
  , (N'BA0401', N'DE', N'Aktive latente Steuern')
  , (N'BA0501', N'DE', N'Aktiver Unterschiedsbetrag aus der Vermögensverrechnung')
  , (N'BA0601', N'DE', N'Sonstige Aktiva')
  , (N'232000', N'DE', N'')
  , (N'BA01I', N'DE', N'Immaterielle Vermögensgegenstände')
  , (N'BA01II', N'DE', N'Sachanlagen')
  , (N'BA01III', N'DE', N'Finanzanlagen')
  , (N'BA0101', N'DE', N'Selbst geschaffene gewerbliche Schutzrechte und ähnliche Rechte und Werte')
  , (N'BA0103', N'DE', N'Entgeltlich erworbene Konzessionen, gewerbliche Schutzrechte und ähnliche Rechte und Werte sowie Lizenzen an solchen Rechten und Werten')
  , (N'BA0105', N'DE', N'Geschäfts - oder Firmenwert')
  , (N'BA0113', N'DE', N'Geleistete Anzahlungen')
  , (N'219000', N'DE', N'Bilanzierungshilfe')
  , (N'230000', N'DE', N'Grundstücke, grundstücksgleiche Rechte und Wohnbauten einschließlich der Wohnbauten auf fremden Grundstücken')
  , (N'231000', N'DE', N'Grundstücke, grundstücksgleiche Rechte ohne Bauten')
  , (N'BA0106', N'DE', N'Grundstücke, grundstücksgleiche Rechte und Betriebsbauten einschließlich der Betriebsbauten auf fremden Grundstücken')
  , (N'BA0107', N'DE', N'Technische Anlagen und Maschinen')
  , (N'BA0108', N'DE', N'Andere Anlagen, Betriebs- und Geschäftsausstattung')
  , (N'BA0114', N'DE', N'Geleistete Anzahlungen und Anlagen im Bau')
  , (N'BA0121', N'DE', N'Einrichtungen und Ausstattungen ohne Fahrzeuge')
  , (N'BA0122', N'DE', N'Fahrzeuge')
  , (N'BA0124', N'DE', N'Geschäfts- und Vorführwagen')
  , (N'BA0110', N'DE', N'Anteile an verbundenen Unternehmen')
  , (N'BA0111', N'DE', N'Ausleihungen an verbundene Unternehmen')
  , (N'BA0112', N'DE', N'Sonstige Ausleihungen')
  , (N'BA0115', N'DE', N'Beteiligungen')
  , (N'BA0116', N'DE', N'Ausleihungen an Unternehmen, mit denen ein Beteiligungsverhältnis besteht')
  , (N'BA0117', N'DE', N'Wertpapiere des Anlagevermögens')
  , (N'BA0118', N'DE', N'Genossenschaftsanteile zum langfristigen Verbleib')
  , (N'BA0120', N'DE', N'Rückdeckungsansprüche aus Lebensversicherungen')
  , (N'BA0123', N'DE', N'Sonstige Finanzanlagen')
  , (N'BA0125', N'DE', N'Ausleihungen an Gesellschafter')
  , (N'233000', N'DE', N'')
  , (N'BA0208', N'DE', N'Wertpapiere')
  , (N'BA0212', N'DE', N'Kassenbestand, Bundesbankguthaben, Guthaben bei Kreditinstituten und Schecks')
  , (N'BA02I', N'DE', N'Vorräte')
  , (N'BA02II', N'DE', N'Forderungen und sonstige Vermögensgegenstände')
  , (N'BA0701', N'DE', N'Ausgleichsposten')
  , (N'239000', N'DE', N'')
  , (N'BA0201', N'DE', N'Roh-, Hilfs-, und Betriebsstoffe')
  , (N'BA0202', N'DE', N'Unfertige Erzeugnisse, unfertige Leistungen')
  , (N'BA0203', N'DE', N'Geleistete Anzahlungen für Vorräte')
  , (N'BA0213', N'DE', N'Fertige Erzeugnisse und Waren')
  , (N'BA0219', N'DE', N'Erhaltene Anzahlungen auf Bestellungen')
  , (N'BA0204', N'DE', N'Forderungen aus Lieferungen und Leistungen')
  , (N'BA0205', N'DE', N'Forderungen gegen verbundene Unternehmen')
  , (N'BA0207', N'DE', N'Forderungen gegen Gesellschafter')
  , (N'BA0210', N'DE', N'Sonstige Vermögensgegenstände')
  , (N'BA0214', N'DE', N'Forderungen gegen Unternehmen, mit denen ein Beteiligungsverhältnis besteht')
  , (N'BA0216', N'DE', N'Eingeforderte Nachschüsse')
  , (N'BA0217', N'DE', N'Einzahlungsverpflichtungen persönlich haftende Gesellschafter')
  , (N'BA0218', N'DE', N'Eingeforderte, noch ausstehende Einlagen')
  , (N'BA0220', N'DE', N'Rückständige fällige Einzahlungen auf Geschäftsanteile')
  , (N'BA0221', N'DE', N'Forderungen gegen Träger der Einrichtung')
  , (N'BA0222', N'DE', N'Forderungen nach Krankenhausfinanzierungsrecht')
  , (N'BA0223', N'DE', N'Forderungen gegen Kommanditisten')
  , (N'BA0224', N'DE', N'Forderungen gegen persönlich haftende Gesellschafter')
  , (N'BA0225', N'DE', N'Einzahlungsverpflichtungen Kommanditisten')
  , (N'BA0226', N'DE', N'Forderungen aus öffentlicher Förderung')
  , (N'BA0227', N'DE', N'Forderungen aus nicht-öffentlicher Förderung')
  , (N'BA0301', N'DE', N'Aktiver Rechnungsabgrenzungsposten')
  , (N'BA0302', N'DE', N'Damnum/Disagio')
  , (N'BA070101', N'DE', N'Ausgleichsposten aus Eigenmittelförderung')
  , (N'BA070102', N'DE', N'aktiver A.posten aus Darlehensförderung')
  , (N'18000', N'DE', N'Förderungsverpflichtungen')
  , (N'221000', N'DE', N'Nicht durch Vermögenseinlagen gedeckte Entnahmen')
  , (N'BP01', N'DE', N'Eigenkapital')
  , (N'BP0108', N'DE', N'Ausgleichsposten für aktivierte eigene Anteile')
  , (N'BP02', N'DE', N'Rückstellungen')
  , (N'BP03', N'DE', N'Verbindlichkeiten')
  , (N'BP05', N'DE', N'Rechnungsabgrenzungsposten')
  , (N'BP0502', N'DE', N'Saldovorträge')
  , (N'BP0601', N'DE', N'Passive latente Steuern')
  , (N'BP0602', N'DE', N'Sonstige Passiva')
  , (N'BP07', N'DE', N'Sonderposten')
  , (N'BP08', N'DE', N'Ausgleichsposten')
  , (N'15000', N'DE', N'Ergebnisvorträge')
  , (N'16000', N'DE', N'Stiftungskapital')
  , (N'17000', N'DE', N'Umschichtungsergebnisse')
  , (N'235000', N'DE', N'')
  , (N'5000', N'DE', N'Rücklagen')
  , (N'BP0101', N'DE', N'Gezeichnetes Kapital')
  , (N'BP0102', N'DE', N'Kapitalrücklage')
  , (N'BP0110', N'DE', N'Variables Kapital')
  , (N'BP0111', N'DE', N'Bilanzgewinn/Bilanzverlust')
  , (N'BP0113', N'DE', N'Geschäftsguthaben')
  , (N'3000', N'DE', N'Privat Kapitalanteile persönlich haftende Gesellschafter')
  , (N'4000', N'DE', N'Privat Kapitalanteile Kommanditisten')
  , (N'8000', N'DE', N'Erwerb eigener Anteile')
  , (N'BP010101', N'DE', N'')
  , (N'BP010102', N'DE', N'Kapitalanteile persönlich haftende Gesellschafter')
  , (N'BP010103', N'DE', N'Kapitalanteile Kommanditisten')
  , (N'BP010104', N'DE', N'Nicht eingeforderte ausstehende Einlagen')
  , (N'10000', N'DE', N'Verlust-/Vortragskonto persönlich haftende Gesellschafter')
  , (N'11000', N'DE', N'Verrechnungskonto für Einzahlungsverpflichtungen persönlich haftende Gesellschafter')
  , (N'9000', N'DE', N'Kapitalkonto persönlich haftende Gesellschafter')
  , (N'12000', N'DE', N'Kapitalkonto Kommanditisten')
  , (N'13000', N'DE', N'Verrechnungskonto für Einzahlungsverpflichtungen Kommanditisten')
  , (N'23000', N'DE', N'Verlustausgleichskonto')
  , (N'14000', N'DE', N'Gebundene Rücklagen')
  , (N'BP010201', N'DE', N'')
  , (N'BP010202', N'DE', N'Kapitalrücklagen persönlich haftende Gesellschafter')
  , (N'BP010203', N'DE', N'Kapitalrücklagen Kommanditisten')
  , (N'BP010601', N'DE', N'Gesetzliche Rücklage')
  , (N'BP010602', N'DE', N'Rücklage für Anteile an einem herrschenden oder mehrheitlich beteiligten Unternehmen')
  , (N'BP010603', N'DE', N'Satzungsmäßige Rücklagen')
  , (N'BP010604', N'DE', N'Andere Gewinnrücklagen')
  , (N'BP011001', N'DE', N'Variables Kapital persönlich haftende Gesellschafter')
  , (N'BP011002', N'DE', N'Variables Kapital Kommanditisten')
  , (N'218000', N'DE', N'Gutschrift auf Kapitalkonten')
  , (N'22000', N'DE', N'Ergebnisverwendung')
  , (N'226000', N'DE', N'Gutschrift auf Verbindlichkeitskonten')
  , (N'28000', N'DE', N'Veränderung der gebundene Rücklagen')
  , (N'BP011101', N'DE', N'Jahresüberschuss/Jahresfehlbetrag')
  , (N'BP011102', N'DE', N'Entnahmen aus Kapitalrücklagen')
  , (N'BP011103', N'DE', N'Entnahmen aus Gewinnrücklagen')
  , (N'BP011104', N'DE', N'Einstellungen in Kapitalrücklagen')
  , (N'BP011105', N'DE', N'Einstellungen in Gewinnrücklagen')
  , (N'BP011106', N'DE', N'Gewinnvortrag/Verlustvortrag')
  , (N'BP011107', N'DE', N'')
  , (N'BP011108', N'DE', N'Entnahmen aus anderen Ergebnisrücklagen')
  , (N'BP011109', N'DE', N'Einstellungen in andere Ergebnisrücklagen')
  , (N'BP01110601', N'DE', N'')
  , (N'BP01110602', N'DE', N'Vortrag auf neue Rechnung')
  , (N'BP01110603', N'DE', N'Ausschüttung')
  , (N'BP01110604', N'DE', N'Gewinnvortrag/Verlustvortrag aus dem Vorjahr')
  , (N'BP01110605', N'DE', N'Gewinnvortrag/Verlustvortrag vor Verwendung')
  , (N'BP011301', N'DE', N'Geschäftsguthaben der verbleibenden Mitglieder')
  , (N'BP011302', N'DE', N'Geschäftsguthaben der ausscheidenden Mitglieder')
  , (N'BP011303', N'DE', N'Geschäftsguthaben der gekündigten Mitglieder')
  , (N'236000', N'DE', N'')
  , (N'BP0201', N'DE', N'Rückstellungen für Pensionen und ähnliche Verpflichtungen')
  , (N'BP0202', N'DE', N'Steuerrückstellungen')
  , (N'BP0203', N'DE', N'Sonstige Rückstellungen')
  , (N'BP0204', N'DE', N'Rückstellungen für latente Steuern')
  , (N'21000', N'DE', N'Saldo USt-Konten')
  , (N'237000', N'DE', N'So. VBL, pRAP')
  , (N'24000', N'DE', N'Verbindlichkeiten gegenüber dem Träger der Einrichtung')
  , (N'25000', N'DE', N'Verbindlichkeiten gegenüber Gesellschaftern')
  , (N'BP0301', N'DE', N'Erhaltene Anzahlungen')
  , (N'BP0302', N'DE', N'Verbindlichkeiten aus Lieferungen und Leistungen')
  , (N'BP0304O', N'DE', N'Sonstige Verbindlichkeiten')
  , (N'BP0309O', N'DE', N'Anleihen')
  , (N'BP0310', N'DE', N'Verbindlichkeiten gegenüber Unternehmen, mit denen ein Beteiligungsverhältnis besteht')
  , (N'BP0313', N'DE', N'Verbindlichkeiten aus öffentlichen Fördermitteln für Investitionen')
  , (N'BP0314', N'DE', N'Verbindlichkeiten aus nicht-öffentlichen Fördermitteln für Investitionen')
  , (N'BP0315', N'DE', N'Verwahrgeldkonto')
  , (N'BP0316', N'DE', N'Verbindlichkeiten nach dem Krankenhausfinanzierungsgesetz')
  , (N'BP0317', N'DE', N'Verbindlichkeiten gegenüber persönlich haftenden Gesellschaftern')
  , (N'BP0318', N'DE', N'Verbindlichkeiten gegenüber Kommanditisten')
  , (N'BP0321', N'DE', N'Verbindlichkeiten gegenüber dem Krankenhausträger')
  , (N'BP0322', N'DE', N'Verbindlichkeiten aus sonstigen Zuwendungen zur Finanzierung des Anlagevermögens')
  , (N'BP0401', N'DE', N'Verbindlichkeiten gegenüber Kreditinstituten')
  , (N'BP0402', N'DE', N'Verbindlichkeiten gegenüber verbundenen Unternehmen')
  , (N'BP0403', N'DE', N'Verbindlichkeiten aus der Annahme gezogener Wechsel und der Ausstellung eigener Wechsel')
  , (N'BP0304', N'DE', N'Sonstige Verbindlichkeiten')
  , (N'BP0306', N'DE', N'Sonstige Verbindlichkeiten aus Steuern')
  , (N'BP0311', N'DE', N'Verbindlichkeiten im Rahmen der sozialen Sicherheit')
  , (N'BP0309', N'DE', N'Anleihen')
  , (N'BP030901', N'DE', N'Anleihen, konvertibel')
  , (N'BP0501', N'DE', N'Passiver Rechnungsabgrenzungsposten')
  , (N'BP050101', N'DE', N'Durch Entnahmen entstandendes negatives Kapital')
  , (N'BP050102', N'DE', N'Durch Verluste entstandendes negatives Kapital')
  , (N'BP0701', N'DE', N'Sonderposten mit Rücklagenanteil')
  , (N'BP0702', N'DE', N'Sonderposten für Zuschüsse und Zulagen')
  , (N'BP0703', N'DE', N'Sonderposten aus Fördermitteln nach dem KHG')
  , (N'BP0704', N'DE', N'Sonderposten aus Zuweisungen und Zuschüssen der öffentlichen Hand')
  , (N'BP0705', N'DE', N'Sonderposten aus Zuwendungen Dritter')
  , (N'BP0706', N'DE', N'Andere Sonderposten')
  , (N'BP0707', N'DE', N'Sonderposten aus öffentlicher Förderung für Investitionen')
  , (N'BP0708', N'DE', N'Sonderposten aus nicht-öffentlicher Förderung für Investitionen')
  , (N'BP0801', N'DE', N'passiv. A.posten aus Darlehensförderung')
  , (N'116000', N'DE', N'GuV Geschäftsbetriebe Sport')
  , (N'142000', N'DE', N'GuV Geschäftsbetriebe Nebentätigkeiten Sport')
  , (N'151000', N'DE', N'GuV Sonstige Geschäftsbetriebe 1')
  , (N'175000', N'DE', N'GuV Sonstige Geschäftsbetriebe 2')
  , (N'198000', N'DE', N'GuV Ertragssteuerpflichtig gewordene Zweckbetriebe')
  , (N'29000', N'DE', N'GuV Zweckbetrieb Sport 1')
  , (N'30000', N'DE', N'GuV Zweckbetrieb Sport 2')
  , (N'80000', N'DE', N'GuV Sonstige Zweckbetriebe 1')
  , (N'97000', N'DE', N'GuV Sonstige Zweckbetriebe 2')
  , (N'GV0', N'DE', N'Betriebsergebnis')
  , (N'GV2', N'DE', N'Finanzergebnis')
  , (N'GV3', N'DE', N'Steuern')
  , (N'GV0101', N'DE', N'Umsatzerlöse')
  , (N'GV0202', N'DE', N'Erhöhung oder Verminderung des Bestands an fertigen und unfertigen Erzeugnissen')
  , (N'GV0203', N'DE', N'Andere aktivierte Eigenleistungen')
  , (N'GV020501', N'DE', N'Sonstige betriebliche Erträge')
  , (N'GV03', N'DE', N'Materialaufwand')
  , (N'GV04', N'DE', N'Personalaufwand')
  , (N'GV0601', N'DE', N'Sonstige betriebliche Aufwendungen')
  , (N'GV08', N'DE', N'Abschreibungen')
  , (N'GV23', N'DE', N'Saldo interne Leistungen')
  , (N'227000', N'DE', N'Umsatzerlöse nach §277 Absatz 1 des HGB, soweit nicht in den Nummern 1 bis 4 enthalten')
  , (N'GV010101', N'DE', N'')
  , (N'GV010102', N'DE', N'Erlöse aus Krankenhausleistungen')
  , (N'GV010103', N'DE', N'Erlöse aus Wahlleistungen')
  , (N'GV010104', N'DE', N'Erlöse aus ambulanten Leistungen des Krankenhauses')
  , (N'GV0205', N'DE', N'Erträge aus ambulanter, teilstationärer und vollstationärer Pflege sowie aus Kurzzeitpflege')
  , (N'GV0206', N'DE', N'Erträge aus Unterkunft und Verpflegung')
  , (N'GV0207', N'DE', N'Erträge aus Zusatzleistungen und Transportleistungen')
  , (N'GV0208', N'DE', N'Erträge aus gesonderter Berechnung von Investitionskosten gegenüber Pflegebedürftigen')
  , (N'GV0204', N'DE', N'')
  , (N'GV020502', N'DE', N'Erträge aus Zuwendungen zur Finanzierung von Investitionen')
  , (N'GV020503', N'DE', N'Erträge aus der Einstellung von Ausgleichsposten aus Darlehensförderung und für Eigenmittelförderung')
  , (N'GV020504', N'DE', N'Erträge aus der Auflösung von SoPo/VBL nach dem KHG und auf Grund sonstiger Zuwendungen zur Finanzierung des AV')
  , (N'GV020505', N'DE', N'Erträge aus der Auflösung des Ausgleichspostens für Darlehensförderung')
  , (N'GV0209', N'DE', N'Zuweisungen und Zuschüsse zu Betriebskosten')
  , (N'GV0210', N'DE', N'Erträge aus Investitionspauschale')
  , (N'GV16', N'DE', N'Erträge aus öffentlicher und nicht-öffentlicher Förderung von Investitionen')
  , (N'GV17', N'DE', N'Erträge aus der Auflösung von Sonderposten')
  , (N'GV18', N'DE', N'Erträge aus der Erstattung von Ausgleichsposten aus Darlehens- und Eigenmittelförderung')
  , (N'GV27', N'DE', N'Sonstige Erträge im Rahmen der gewöhnlichen Geschäftstätigkeit')
  , (N'238000', N'DE', N'')
  , (N'GV0301', N'DE', N'Aufwendungen für Roh-, Hilfs- und Betriebsstoffe und für bezogene Waren')
  , (N'GV0302', N'DE', N'Bezogene Fremdleistungen')
  , (N'GV0303', N'DE', N'Aufwendungen für bezogene Leistungen')
  , (N'GV0304', N'DE', N'Lebensmittel')
  , (N'GV0305', N'DE', N'Aufwendungen für Zusatzleistungen')
  , (N'GV0306', N'DE', N'Wasser, Energie, Brennstoffe')
  , (N'GV0307', N'DE', N'Wirtschaftsbedarf/Verwaltungsbedarf')
  , (N'GV0308', N'DE', N'Nutzungsentgelte der Ärzte')
  , (N'GV0401', N'DE', N'Löhne und Gehälter')
  , (N'GV0402O', N'DE', N'Soziale Abgaben und Aufwendungen für Altersversorgung und für Unterstützung')
  , (N'GV0402', N'DE', N'Soziale Abgaben und Aufwendungen für Altersversorgung und für Unterstützung')
  , (N'GV040201', N'DE', N'Soziale Abgaben - davon für Altersversorgung')
  , (N'2000', N'DE', N'Abschreibungen')
  , (N'GV0605', N'DE', N'')
  , (N'GV0606', N'DE', N'Aufwendungen für nach dem KHG geförderte, nicht aktivierungsfähige Maßnahmen')
  , (N'GV0607', N'DE', N'Aufwendungen aus der Auflösung der Ausgleichsposten aus Darlehensförderung und für Eigenmittelförderung')
  , (N'GV0608', N'DE', N'Aufwendungen aus der Zuführung von SoPo/VBL nach dem KHG und auf Grund sonstiger Zuwendungen zur Finanzierung des AV')
  , (N'GV0609', N'DE', N'Aufwendungen für die nach KHG geförderte Nutzung von Anlagegegenständen')
  , (N'GV12', N'DE', N'Aufwendungen für zentrale Dienstleistungen')
  , (N'GV13', N'DE', N'Steuern, Abgaben, Versicherungen')
  , (N'GV14', N'DE', N'Sachaufwendungen für Hils- und Nebenbetriebe')
  , (N'GV15', N'DE', N'Mieten, Pacht, Leasing')
  , (N'GV19', N'DE', N'Aufwendungen aus der Zuführung zu Sonderposten/Verbindlichkeiten')
  , (N'GV20', N'DE', N'Aufwendungen aus der Zuführung zu Ausgleichsposten aus Darlehensförderung')
  , (N'GV21', N'DE', N'Aufwendungen für Instandhaltung und Instandsetzung')
  , (N'GV22', N'DE', N'Kosten der Warenabgabe')
  , (N'GV24', N'DE', N'Versicherungen, Beiträge und Abgaben')
  , (N'GV25', N'DE', N'Fahrzeugkosten')
  , (N'GV26', N'DE', N'Raumkosten')
  , (N'GV28', N'DE', N'Verschiedene betriebliche Kosten')
  , (N'GV29', N'DE', N'Werbe- und Reisekosten')
  , (N'217000', N'DE', N'Abschreibungen auf Forderungen und sVG')
  , (N'GV0801', N'DE', N'Abschreibungen auf IVG des AV und SAV')
  , (N'GV0802', N'DE', N'Abschreibungen auf VG des UV, soweit diese die üblichen Abschreibungen überschreiten')
  , (N'GV0901', N'DE', N'Sonstige Zinsen und ähnliche Erträge')
  , (N'GV090101', N'DE', N'Sonstige Zinsen und ähnliche Erträge aus verbundenen Unternehmen')
  , (N'GV090102', N'DE', N'')
  , (N'26000', N'DE', N'Zinsen und ähnliche Aufwendungen an verbundene Unternehmen')
  , (N'27000', N'DE', N'Zinsen und ähnliche Aufwendungen - Rest')
  , (N'GV0903', N'DE', N'Erträge aus anderen WP und Ausleihungen des FA - Rest')
  , (N'GV090301', N'DE', N'Erträge aus anderen WP und Ausleihungen des FA - davon aus VU')
  , (N'GV0904', N'DE', N'Erträge aus Beteiligungen - Rest')
  , (N'GV090401', N'DE', N'Erträge aus Beteiligungen - davon aus VU')
  , (N'GV090402', N'DE', N'')
  , (N'GV202', N'DE', N'Auf Grund einer Gewinngemeinschaft, eines Gewinnabführungs- oder eines Teilgewinnabführungsvertrags erhaltene Gewinne')
  , (N'GV204', N'DE', N'Erträge aus Verlustübernahme')
  , (N'234000', N'DE', N'')
  , (N'GV0901O', N'DE', N'Sonstige Zinsen und ähnliche Erträge')
  , (N'GV0902', N'DE', N'Zinsen und ähnliche Aufwendungen')
  , (N'GV0903O', N'DE', N'Erträge aus anderen Wertpapieren und Ausleihungen des Finanzanlagevermögens')
  , (N'GV0904O', N'DE', N'Erträge aus Beteiligungen')
  , (N'GV0905', N'DE', N'Abschreibungen auf Finanzanlagen und auf Wertpapiere des Umlaufvermögens')
  , (N'GV201', N'DE', N'Ertrag aus Kapitalherabsetzung')
  , (N'GV206', N'DE', N'Aufwendungen aus Beteiligungen')
  , (N'GV203', N'DE', N'Auf Grund einer Gewinngemeinschaft, eines Gewinnabführungs- oder eines Teilgewinnabführungsvertrags abgeführte Gewinne')
  , (N'GV205', N'DE', N'Aufwendungen aus Verlustübernahme')
  , (N'GV1101', N'DE', N'Steuern vom Einkommen und Ertrag')
  , (N'GV1102', N'DE', N'Sonstige Steuern')
  , (N'GV204', N'EN', N'Income from loss absorption')
  , (N'GV205', N'EN', N'Cost of loss absorption')
  , (N'GV206', N'EN', N'Expenses from equity holdings')
  , (N'GV3', N'EN', N'Taxes')
  , (N'KRED', N'EN', N'Creditors')
  , (N'ST01', N'EN', N'Statistics')
  , (N'228000', N'EN', N'')
  , (N'6000', N'EN', N'')
  , (N'232000', N'EN', N'')
  , (N'233000', N'EN', N'')
  , (N'239000', N'EN', N'')
  , (N'235000', N'EN', N'')
  , (N'BP010101', N'EN', N'')
  , (N'BP010201', N'EN', N'')
  , (N'BP011107', N'EN', N'')
  , (N'BP01110601', N'EN', N'')
  , (N'236000', N'EN', N'')
  , (N'GV010101', N'EN', N'')
  , (N'GV0204', N'EN', N'')
  , (N'238000', N'EN', N'')
  , (N'GV0605', N'EN', N'')
  , (N'GV090102', N'EN', N'')
  , (N'GV090402', N'EN', N'')
  , (N'234000', N'EN', N'')
  , (N'1000', N'EN', N'HGB')
  , (N'5000', N'EN', N'Reserves')
  , (N'12000', N'EN', N'Capital account of limited partners')
  , (N'23000', N'EN', N'Loss adjustment account')
  , (N'25000', N'EN', N'Liabilities to shareholders/partners')
  , (N'26000', N'EN', N'Interest and similar expenses to affiliated companies')
  , (N'27000', N'EN', N'Interest and similar expenses')
  , (N'3000', N'EN', N'Private capital shares of general partners')
  , (N'4000', N'EN', N'Private capital shares of limited partners')
  , (N'8000', N'EN', N'Purchase of treasury shares')
  , (N'9000', N'EN', N'Capital account of general partners')
  , (N'B', N'EN', N'Balance sheet')
  , (N'BA', N'EN', N'Assets ')
  , (N'BA01', N'EN', N'Fixed assets')
  , (N'BA0101', N'EN', N'Internally generated intangible fixed assets')
  , (N'BA0103', N'EN', N'Purchased concessions, industrial and similar rights and assets, and licences in such rights and assets')
  , (N'BA0105', N'EN', N'Goodwill')
  , (N'BA0106', N'EN', N'Land, land rights and buildings, including buildings on thirdparty land')
  , (N'BA0107', N'EN', N'Technical equipment and machinery')
  , (N'BA0108', N'EN', N'Other equipment, operating and office equipment')
  , (N'BA0110', N'EN', N'Shares in affiliated companies')
  , (N'BA0111', N'EN', N'Loans to affiliated companies')
  , (N'BA0112', N'EN', N'Other loans')
  , (N'BA0113', N'EN', N'Prepayments')
  , (N'BA0114', N'EN', N'Prepayments and assets under construction')
  , (N'BA0115', N'EN', N'Other long-term equity investments')
  , (N'BA0116', N'EN', N'Loans to other long-term investees and investors')
  , (N'BA0117', N'EN', N'Long-term securities')
  , (N'BA0118', N'EN', N'Long-term shares in cooperatives')
  , (N'BA0120', N'EN', N'Reinsurance claims from life insurance policies')
  , (N'BA01I', N'EN', N'Intangible fixed assets')
  , (N'BA01II', N'EN', N'Tangible fixed assets')
  , (N'BA01III', N'EN', N'Long-term financial assets')
  , (N'BA02', N'EN', N'Current assets')
  , (N'BA0201', N'EN', N'Raw materials, consumables and supplies')
  , (N'BA0202', N'EN', N'Work in progress')
  , (N'BA0203', N'EN', N'Prepayments for inventories')
  , (N'BA0204', N'EN', N'Trade receivables')
  , (N'BA0205', N'EN', N'Receivables from affiliated companies')
  , (N'BA0208', N'EN', N'Securities')
  , (N'BA0210', N'EN', N'Other assets')
  , (N'BA0212', N'EN', N'Cash-in-hand, central bank balances, bank balances and cheques')
  , (N'BA0213', N'EN', N'Finished goods and merchandise')
  , (N'BA0214', N'EN', N'Receivables from other longterm investees and investors')
  , (N'BA0216', N'EN', N'Supplementary calls (receivables)')
  , (N'BA0217', N'EN', N'Call obligations of general partners')
  , (N'BA0218', N'EN', N'Unpaid called contributions')
  , (N'BA0219', N'EN', N'Payments received on account of orders')
  , (N'BA0225', N'EN', N'Call obligations of limited partners')
  , (N'BA02I', N'EN', N'Inventories')
  , (N'BA02II', N'EN', N'Accounts receivable and other assets')
  , (N'BA03', N'EN', N'Deferred income')
  , (N'BA0301', N'EN', N'Prepaid expenses and deferred charges')
  , (N'BA0401', N'EN', N'Deferred tax assets')
  , (N'BA0501', N'EN', N'Increase in pension provision')
  , (N'BA0601', N'EN', N'Other assets')
  , (N'BP', N'EN', N'Liabilities')
  , (N'BP01', N'EN', N'Equity capital')
  , (N'BP0101', N'EN', N'Subscribed capital')
  , (N'BP010102', N'EN', N'Capital shares of the general  partners')
  , (N'BP010103', N'EN', N'Capital shares of imited partners')
  , (N'BP010104', N'EN', N'Uncalled outstanding contributions')
  , (N'BP0102', N'EN', N'Capital reserves')
  , (N'BP0106', N'EN', N'Revenue reserves')
  , (N'BP010601', N'EN', N'Legal reserve')
  , (N'BP010602', N'EN', N'Reserve for shares in a parent or majority investor')
  , (N'BP010603', N'EN', N'Reserves provided for by the articles of association')
  , (N'BP010604', N'EN', N'Other revenue reserves')
  , (N'BP0108', N'EN', N'Special reserve for capitalised own shares')
  , (N'BP0110', N'EN', N'Variable capital')
  , (N'BP011001', N'EN', N'General partner variable capital')
  , (N'BP011002', N'EN', N'Limited partner variable capital')
  , (N'BP0111', N'EN', N'Net retained profits/net accumulated losses')
  , (N'BP011102', N'EN', N'Withdrawals from capital reserves')
  , (N'BP011103', N'EN', N'Withdrawals from revenue reserves')
  , (N'BP011104', N'EN', N'Appropriation to capital reserves')
  , (N'BP011105', N'EN', N'Appropriation to revenue reserves')
  , (N'BP011106', N'EN', N'Retained profits / accumulated losses brought forward')
  , (N'BP01110602', N'EN', N'Carry forward to new account')
  , (N'BP01110603', N'EN', N'Distributions')
  , (N'BP01110605', N'EN', N'Profit/loss carry forward')
  , (N'BP011108', N'EN', N'Withdrawals from other revenue reserves')
  , (N'BP011109', N'EN', N'Transfers to other revenue reserves')
  , (N'BP0112', N'EN', N'Revenue reserves')
  , (N'BP02', N'EN', N'Provisions')
  , (N'BP0201', N'EN', N'Provisions for pensions and similar obligations')
  , (N'BP0202', N'EN', N'Provisions for taxes')
  , (N'BP0203', N'EN', N'Other provisions')
  , (N'BP03', N'EN', N'Accounts payable')
  , (N'BP0301', N'EN', N'Payments received on account of orders')
  , (N'BP0302', N'EN', N'Trade payables')
  , (N'BP0304', N'EN', N'Other liabilities')
  , (N'BP0304O', N'EN', N'Other liabilities')
  , (N'BP0306', N'EN', N'Other liabilities from taxes')
  , (N'BP0309', N'EN', N'Non-convertible bonds')
  , (N'BP030901', N'EN', N'Convertible bonds')
  , (N'BP0309O', N'EN', N'Bonds')
  , (N'BP0310', N'EN', N'Liabilities to other long-term investees and investors')
  , (N'BP0311', N'EN', N'Social security liabilities')
  , (N'BP0401', N'EN', N'Liabilities to banks')
  , (N'BP0402', N'EN', N'Liabilities to affiliated companies')
  , (N'BP0403', N'EN', N'Liabilities on bills accepted and drawn')
  , (N'BP05', N'EN', N'Deferred income')
  , (N'BP0501', N'EN', N'Accruals and deferred income')
  , (N'BP0502', N'EN', N'Balances brought forward')
  , (N'BP0601', N'EN', N'Deferred tax liabilities')
  , (N'BP0602', N'EN', N'Other liabilities')
  , (N'BP07', N'EN', N'Special items')
  , (N'BP0701', N'EN', N'Special tax-allowable reserves')
  , (N'BP0702', N'EN', N'Special reserves for investment grants and subsidies')
  , (N'DEB', N'EN', N'Debtors')
  , (N'GV', N'EN', N'P&L')
  , (N'GV0', N'EN', N'Operating result')
  , (N'GV0101', N'EN', N'Revenues')
  , (N'GV0202', N'EN', N'Increase or decrease in finished goods inventories and work in progress')
  , (N'GV0203', N'EN', N'Other own work capitalised')
  , (N'GV020501', N'EN', N'Other operating income')
  , (N'GV03', N'EN', N'Cost of goods')
  , (N'GV0301', N'EN', N'Cost of raw materials, consumables and supplies, and of purchased merchandise')
  , (N'GV0303', N'EN', N'Cost of purchased 5900 services')
  , (N'GV04', N'EN', N'Personnel expenses')
  , (N'GV0401', N'EN', N'Wages and salaries')
  , (N'GV0402', N'EN', N'Social security, postemployment and other employee benefit costs')
  , (N'GV040201', N'EN', N'Post-employment benefit costs')
  , (N'GV0402O', N'EN', N'Social security, postemployment and other employee benefit costs')
  , (N'GV0601', N'EN', N'Other operating expenses')
  , (N'GV08', N'EN', N'Depreciation')
  , (N'GV0801', N'EN', N'Of non-current intangible assets and property, plant and equipment')
  , (N'GV0802', N'EN', N'Of current assets, to the extent that these exceed normal depreciation and amortisation')
  , (N'GV0901', N'EN', N'Other interest and similar income')
  , (N'GV090101', N'EN', N'Other interest and similar income from affiliated companies')
  , (N'GV0901O', N'EN', N'Other interest and similar income ')
  , (N'GV0902', N'EN', N'Interest and similar expenses')
  , (N'GV0903', N'EN', N'Income from other securities and long-term loans')
  , (N'GV090301', N'EN', N'Income from other long-term securities of corporations (affiliated companies)')
  , (N'GV0903O', N'EN', N'Income from other securities and long-term loans')
  , (N'GV0904', N'EN', N'Income from long-term equity investments')
  , (N'GV090401', N'EN', N'Income from long-term equity investments in affiliated companies')
  , (N'GV0904O', N'EN', N'Income from long-term equity investments')
  , (N'GV0905', N'EN', N'Depreciation and amortization of financial assets and marketable securities')
  , (N'GV1101', N'EN', N'Taxes on income')
  , (N'GV1102', N'EN', N'Other taxes')
  , (N'GV13', N'EN', N'Taxes, levies, insurances')
  , (N'GV2', N'EN', N'Financial result')
  , (N'GV201', N'EN', N'Income from capital decrease')
  , (N'GV202', N'EN', N'Income from profits received under profit pooling, profit and loss transfer, or partial profit transfer agreements')
  , (N'GV203', N'EN', N'Profits distributed on the basis of a profit pooling or agreement for profit or partial profit transfer');
END;
GO

