﻿
-- Script for creating a OCT datamodel in an existing database
-- Gerd Tautenhahn for saxess-software gmbh [$CURRENT_MONTH]
-- Version OCT [$VERSION]
-- Coding UTF-8 without BOM 

SET QUOTED_IDENTIFIER ON
GO

-- Check for Version SQL 2016 or newer
-- Azure uses different Version number and is not checked

DECLARE @Versioninfo NVARCHAR(2000) = '';
SELECT @Versioninfo = 

	CASE 
		WHEN CONVERT(NVARCHAR(255),SERVERPROPERTY ('Edition')) LIKE '%Azure%'			THEN  'Azure Database - please keep / set compatibility level of database to highest version.'
		WHEN LEFT(CONVERT(NVARCHAR(255),SERVERPROPERTY ('productversion')),2) < 13		THEN  'SQL SERVER VERSION ALT !!!!! - Versionen vor SQL 2016 werden nicht unterstützt '
		WHEN LEFT(CONVERT(NVARCHAR(255),SERVERPROPERTY ('productversion')),2) > = 13	THEN  'SQL SERVER VERSION in Ordnung - Version 2016+'
		ELSE 'Fehler bei Versionbestimmung SQL Server'
	END;
PRINT @Versioninfo;

-- Check for correct compatibilty Level
SELECT @Versioninfo = 

	CASE 
		WHEN compatibility_level > = 130	THEN  'Datenbank Kompatibilität in Ordnung, Version ' + CAST(compatibility_level AS NVARCHAR(255))
		WHEN compatibility_level < 130		THEN  'KOMPATIBILITÄTSLEVEL ZU KLEIN !!!!! - Muss auf 130 oder höher für SQL 2016 Funktionsset geändert werden.'
		ELSE 'Fehler bei Kompatibilitätsbestimmung für  SQL Server'
	END

FROM sys.databases WHERE name = DB_NAME();

PRINT @Versioninfo;

