
/*
	Creates Database Roles for OCT
	Last modified 09/2022 for OCT 5.8
*/

IF DATABASE_PRINCIPAL_ID('pf_PlanningFactoryUser')		IS NULL CREATE ROLE pf_PlanningFactoryUser;
GO
IF DATABASE_PRINCIPAL_ID('pf_PlanningFactoryService')	IS NULL CREATE ROLE pf_PlanningFactoryService;
GO

-- this give the OCT Service the Right to create objects in all schema he owns. This are all schemas, except the schema system.
-- Owning a schema gives only ALTER Permissions to all objects, not CREATE Permissions
GRANT CREATE TABLE		TO pf_PlanningFactoryService;
GRANT CREATE PROCEDURE	TO pf_PlanningFactoryService;
GRANT CREATE VIEW		TO pf_PlanningFactoryService;
GRANT CREATE FUNCTION	TO pf_PlanningFactoryService;
GO
