﻿
DROP PROCEDURE IF EXISTS dbo.sx_pf_POST_ProductEmpty;
GO

/*
	POST Operation for one empty Product
	Not existing Product will be created, existing gets an Update
	If attributes passed  with value <#NV>, it will be ignored during the update and maintain the existing value, during insert the attribute is created empty
	If product will have no TimeIDs, as it has no values
	If product will have no ValueSeries, when created new 

	Gerd Tautenhahn for Saxess Software GmbH
	Last modified: 10/2022 for OCT 5.8

	Test call
	DECLARE	 @RC				INT
			,@Username			NVARCHAR(255) = 'SQL'
			,@ProductID			NVARCHAR(255) =	'53'
			,@ProductLineID		NVARCHAR(255) =	'U'
			,@FactoryID			NVARCHAR(255) =	'ZT'
			,@TimeType			NVARCHAR(255) =	'<#NV>'--'VM'
			,@NameShort			NVARCHAR(255) =	'Testproduct'
			,@NameLong			NVARCHAR(255) =	'3 test'
			,@CommentUser		NVARCHAR(255) =	'komment'
			,@CommentDev		NVARCHAR(255) =	'DEVKOmm'
			,@ResponsiblePerson	NVARCHAR(255) =	'RR'
			,@ImageName			NVARCHAR(255) =	'ImgName test'
			,@Status			NVARCHAR(255) =	'Aktiv'
			,@Template			NVARCHAR(255) =	'Test_VM'
			,@TemplateVersion	NVARCHAR(255) =	'4.0'
			,@GA1				NVARCHAR(255) =	'Wert für GA1'--'<#NV>'
			,@GA2				NVARCHAR(255) =	'<#NV>'
			,@GA3				NVARCHAR(255) =	'<#NV>'
			,@GA4				NVARCHAR(255) =	'rer'
			,@GA5				NVARCHAR(255) =	'<#NV>'
			,@GA6				NVARCHAR(255) =	'<#NV>'
			,@GA7				NVARCHAR(255) =	'<#NV>'
			,@GA8				NVARCHAR(255) =	'<#NV>'
			,@GA9				NVARCHAR(255) =	'<#NV>'
			,@GA10				NVARCHAR(255) =	'<#NV>'
			,@GA11				NVARCHAR(255) =	'<#NV>'
			,@GA12				NVARCHAR(255) =	'<#NV>'
			,@GA13				NVARCHAR(255) =	'<#NV>'
			,@GA14				NVARCHAR(255) =	'<#NV>'
			,@GA15				NVARCHAR(255) =	'<#NV>'
			,@GA16				NVARCHAR(255) =	'<#NV>'
			,@GA17				NVARCHAR(255) =	'<#NV>'
			,@GA18				NVARCHAR(255) =	'<#NV>'
			,@GA19				NVARCHAR(255) =	'<#NV>'
			,@GA20				NVARCHAR(255) =	'<#NV>'
			,@GA21				NVARCHAR(255) =	'<#NV>'
			,@GA22				NVARCHAR(255) =	'<#NV>'
			,@GA23				NVARCHAR(255) =	'<#NV>'
			,@GA24				NVARCHAR(255) =	'<#NV>'
			,@GA25				NVARCHAR(255) =	'<#NV>'

	EXECUTE @RC = dbo.sx_pf_POST_ProductEmpty 
			@Username,
			@ProductID,
			@ProductLineID,
			@FactoryID,
			@TimeType,
			@NameShort,
			@NameLong,
			@CommentUser,
			@CommentDev,
			@ResponsiblePerson,
			@ImageName,
			@Status,
			@Template,
			@TemplateVersion,
			@GA1,
			@GA2,
			@GA3,
			@GA4,
			@GA5,
			@GA6,
			@GA7,
			@GA8,
			@GA9,
			@GA10,
			@GA11,
			@GA12,
			@GA13,
			@GA14,
			@GA15,
			@GA16,
			@GA17,
			@GA18,
			@GA19,
			@GA20,
			@GA21,
			@GA22,
			@GA23,
			@GA24,
			@GA25
	PRINT @RC

	Testcall Documentation
		SELECT * FROM ::fn_listextendedproperty (NULL, 'SCHEMA', 'dbo', 'PROCEDURE', 'sx_pf_POST_ProductEmpty',NULL,NULL)
		UNION ALL
		SELECT * FROM ::fn_listextendedproperty (NULL, 'SCHEMA', 'dbo', 'PROCEDURE', 'sx_pf_POST_ProductEmpty','PARAMETER',NULL)
*/

CREATE PROCEDURE dbo.sx_pf_POST_ProductEmpty
	@Username			NVARCHAR(255),
	@ProductID			NVARCHAR(255),
	@ProductLineID		NVARCHAR(255),
	@FactoryID			NVARCHAR(255),
	@TimeType			NVARCHAR(255),
	@NameShort			NVARCHAR(255),
	@NameLong			NVARCHAR(255),
	@CommentUser		NVARCHAR(MAX),
	@CommentDev			NVARCHAR(MAX),
	@ResponsiblePerson  NVARCHAR(255),
	@ImageName			NVARCHAR(255),
	@Status				NVARCHAR(255),
	@Template			NVARCHAR(255),
	@TemplateVersion	NVARCHAR(255),
	@GA1				NVARCHAR(255),
	@GA2				NVARCHAR(255),
	@GA3				NVARCHAR(255),
	@GA4				NVARCHAR(255),
	@GA5  				NVARCHAR(255),
	@GA6  				NVARCHAR(255),
	@GA7  				NVARCHAR(255),
	@GA8  				NVARCHAR(255),
	@GA9  				NVARCHAR(255),
	@GA10  				NVARCHAR(255),
	@GA11  				NVARCHAR(255),
	@GA12  				NVARCHAR(255),
	@GA13  				NVARCHAR(255),
	@GA14  				NVARCHAR(255),
	@GA15  				NVARCHAR(255),
	@GA16  				NVARCHAR(255),
	@GA17  				NVARCHAR(255),
	@GA18  				NVARCHAR(255),
	@GA19  				NVARCHAR(255),
	@GA20  				NVARCHAR(255),
	@GA21  				NVARCHAR(255),
	@GA22  				NVARCHAR(255),
	@GA23  				NVARCHAR(255),
	@GA24  				NVARCHAR(255),
	@GA25 				NVARCHAR(255)
AS 
BEGIN
	SET NOCOUNT ON;

	DECLARE @TransactUsername	 NVARCHAR(255)	= N'';
	DECLARE @FactoryKey			 INT			= 0;
	DECLARE @ProductLineKey		 INT			= 0;
	DECLARE @ProductKey			 INT			= 0;
	DECLARE @ProcedureName		 NVARCHAR (255) = OBJECT_SCHEMA_NAME(@@PROCID) + N'.' + OBJECT_NAME(@@PROCID);
	DECLARE @ParameterString	 NVARCHAR (MAX) = N'''' 
			+ ISNULL(@Username			, N'NULL') + N''',''' 
			+ ISNULL(@ProductID			, N'NULL') + N''',''' 
			+ ISNULL(@ProductLineID		, N'NULL') + N''',''' 
			+ ISNULL(@FactoryID			, N'NULL') + N''',''' 
			+ ISNULL(@TimeType			, N'NULL') + N''',''' 
			+ ISNULL(@NameShort			, N'NULL') + N''',''' 
			+ ISNULL(@NameLong			, N'NULL') + N''',''' 
			+ ISNULL(@CommentUser		, N'NULL') + N''',''' 
			+ ISNULL(@CommentDev		, N'NULL') + N''',''' 
			+ ISNULL(@ResponsiblePerson	, N'NULL') + N''',''' 
			+ ISNULL(@ImageName			, N'NULL') + N''',''' 
			+ ISNULL(@Status			, N'NULL') + N''',''' 
			+ ISNULL(@Template			, N'NULL') + N''',''' 
			+ ISNULL(@TemplateVersion	, N'NULL') + N''',''' 
			+ ISNULL(@GA1				, N'NULL') + N''',''' 
			+ ISNULL(@GA2				, N'NULL') + N''',''' 
			+ ISNULL(@GA3				, N'NULL') + N''',''' 
			+ ISNULL(@GA4				, N'NULL') + N''',''' 
			+ ISNULL(@GA5				, N'NULL') + N''',''' 
			+ ISNULL(@GA6				, N'NULL') + N''',''' 
			+ ISNULL(@GA7				, N'NULL') + N''',''' 
			+ ISNULL(@GA8				, N'NULL') + N''',''' 
			+ ISNULL(@GA9				, N'NULL') + N''',''' 
			+ ISNULL(@GA10				, N'NULL') + N''',''' 
			+ ISNULL(@GA11				, N'NULL') + N''',''' 
			+ ISNULL(@GA12				, N'NULL') + N''',''' 
			+ ISNULL(@GA13				, N'NULL') + N''',''' 
			+ ISNULL(@GA14				, N'NULL') + N''',''' 
			+ ISNULL(@GA15				, N'NULL') + N''',''' 
			+ ISNULL(@GA16				, N'NULL') + N''',''' 
			+ ISNULL(@GA17				, N'NULL') + N''',''' 
			+ ISNULL(@GA18				, N'NULL') + N''',''' 
			+ ISNULL(@GA19				, N'NULL') + N''',''' 
			+ ISNULL(@GA20				, N'NULL') + N''',''' 
			+ ISNULL(@GA21				, N'NULL') + N''',''' 
			+ ISNULL(@GA22				, N'NULL') + N''',''' 
			+ ISNULL(@GA23				, N'NULL') + N''',''' 
			+ ISNULL(@GA24				, N'NULL') + N''',''' 
			+ ISNULL(@GA25				, N'NULL') + N'''';
	DECLARE @EffectedRows		 INT			= 0;				-- SET during Execution
	DECLARE @ResultCode			 INT			= 501;				-- SET during Execution
	DECLARE @TimestampCall		 DATETIME		= GETUTCDATE();
	DECLARE @Comment			 NVARCHAR(2000) = N'';				-- SET during Execution

	-- STEP 0.1 - NULL Protection
	IF @Username 			IS NULL SET @Username			= N'';
	IF @ProductID 			IS NULL SET @ProductID			= N'';
	IF @ProductLineID 		IS NULL SET @ProductLineID		= N'';
	IF @FactoryID 			IS NULL SET @FactoryID			= N'';
	IF @TimeType 			IS NULL SET @TimeType			= N'';
	IF @NameShort 			IS NULL SET @NameShort			= N'';
	IF @NameLong 			IS NULL SET @NameLong			= N'';
	IF @CommentUser			IS NULL SET @CommentUser		= N'';
	IF @CommentDev			IS NULL SET @CommentDev 		= N'';
	IF @ResponsiblePerson	IS NULL SET @ResponsiblePerson  = N'';
	IF @ImageName 			IS NULL SET @ImageName			= N'';
	IF @Status 				IS NULL SET @Status				= N'';
	IF @Template 			IS NULL SET @Template			= N'';
	IF @TemplateVersion 	IS NULL SET @TemplateVersion	= N'';
	IF @GA1 				IS NULL SET @GA1				= N'';
	IF @GA2  				IS NULL SET @GA2				= N'';
	IF @GA3  				IS NULL SET @GA3				= N'';
	IF @GA4  				IS NULL SET @GA4				= N'';
	IF @GA5  				IS NULL SET @GA5				= N'';
	IF @GA6  				IS NULL SET @GA6 				= N'';
	IF @GA7  				IS NULL SET @GA7 				= N'';
	IF @GA8  				IS NULL SET @GA8 				= N'';
	IF @GA9  				IS NULL SET @GA9 				= N'';
	IF @GA10  				IS NULL SET @GA10 				= N'';
	IF @GA11  				IS NULL SET @GA11 				= N'';
	IF @GA12  				IS NULL SET @GA12 				= N'';
	IF @GA13  				IS NULL SET @GA13 				= N'';
	IF @GA14  				IS NULL SET @GA14 				= N'';
	IF @GA15  				IS NULL SET @GA15 				= N'';
	IF @GA16  				IS NULL SET @GA16 				= N'';
	IF @GA17  				IS NULL SET @GA17 				= N'';
	IF @GA18  				IS NULL SET @GA18 				= N'';
	IF @GA19  				IS NULL SET @GA19 				= N'';
	IF @GA20  				IS NULL SET @GA20 				= N'';
	IF @GA21  				IS NULL SET @GA21 				= N'';
	IF @GA22  				IS NULL SET @GA22 				= N'';
	IF @GA23  				IS NULL SET @GA23 				= N'';
	IF @GA24  				IS NULL SET @GA24 				= N'';
	IF @GA25  				IS NULL SET @GA25 				= N'';

	BEGIN TRY
		BEGIN TRANSACTION sx_pf_POST_ProductEmpty;

		-- STEP 0.2 - Protect input parameters
		SET @ProductID			= dbo.sx_pf_pProtectID		(@ProductID);
		SET @ProductLineID		= dbo.sx_pf_pProtectID		(@ProductLineID);
		SET @FactoryID 			= dbo.sx_pf_pProtectID		(@FactoryID);
		SET @TimeType 			= dbo.sx_pf_pProtectString	(@TimeType);
		SET @NameShort 			= dbo.sx_pf_pProtectString	(@NameShort);
		SET @NameLong 			= dbo.sx_pf_pProtectString	(@NameLong);
		SET @CommentUser 		= dbo.sx_pf_pProtectString	(@CommentUser);
		SET @CommentDev			= dbo.sx_pf_pProtectString	(@CommentDev);
		SET @ResponsiblePerson	= dbo.sx_pf_pProtectString	(@ResponsiblePerson);
		SET @ImageName 			= dbo.sx_pf_pProtectString	(@ImageName);
		SET @Status  			= dbo.sx_pf_pProtectString	(@Status);
		SET @Template  			= dbo.sx_pf_pProtectString	(@Template);
		SET @TemplateVersion	= dbo.sx_pf_pProtectString	(@TemplateVersion);
		SET @GA1  				= dbo.sx_pf_pProtectString	(@GA1);
		SET @GA2  				= dbo.sx_pf_pProtectString	(@GA2);
		SET @GA3  				= dbo.sx_pf_pProtectString	(@GA3);
		SET @GA4  				= dbo.sx_pf_pProtectString	(@GA4);
		SET @GA5  				= dbo.sx_pf_pProtectString	(@GA5);
		SET @GA6  				= dbo.sx_pf_pProtectString	(@GA6);
		SET @GA7  				= dbo.sx_pf_pProtectString	(@GA7);
		SET @GA8  				= dbo.sx_pf_pProtectString	(@GA8);
		SET @GA9  				= dbo.sx_pf_pProtectString	(@GA9);
		SET @GA10  				= dbo.sx_pf_pProtectString	(@GA10);
		SET @GA11  				= dbo.sx_pf_pProtectString	(@GA11);
		SET @GA12  				= dbo.sx_pf_pProtectString	(@GA12);
		SET @GA13  				= dbo.sx_pf_pProtectString	(@GA13);
		SET @GA14  				= dbo.sx_pf_pProtectString	(@GA14);
		SET @GA15  				= dbo.sx_pf_pProtectString	(@GA15);
		SET @GA16  				= dbo.sx_pf_pProtectString	(@GA16);
		SET @GA17  				= dbo.sx_pf_pProtectString	(@GA17);
		SET @GA18  				= dbo.sx_pf_pProtectString	(@GA18);
		SET @GA19  				= dbo.sx_pf_pProtectString	(@GA19);
		SET @GA20  				= dbo.sx_pf_pProtectString	(@GA20);
		SET @GA21  				= dbo.sx_pf_pProtectString	(@GA21);
		SET @GA22  				= dbo.sx_pf_pProtectString	(@GA22);
		SET @GA23  				= dbo.sx_pf_pProtectString	(@GA23);
		SET @GA24  				= dbo.sx_pf_pProtectString	(@GA24);
		SET @GA25  				= dbo.sx_pf_pProtectString	(@GA25);

		IF	@FactoryID = N'' 
			OR @ProductLineID = N'' 
			OR @ProductID =  N''
		BEGIN
			SET @ResultCode = 404;
			RAISERROR('Empty input parameters', 16, 10);
		END;
		
		-- STEP 1.1 - Determine transaction user
		SELECT @TransactUsername = dbo.sx_pf_Determine_TransactionUsername (@Username);

		IF @TransactUsername  = N'403' 
		BEGIN
			SET @ResultCode = 403;
			RAISERROR('Transaction user don`t exists', 16, 10);
		END;

		-- STEP 1.2 - Determine keys
		SELECT @FactoryKey		= FactoryKey		FROM planning.tdFactories		WHERE FactoryID			= @FactoryID;
		SELECT @ProductLineKey	= ProductLineKey	FROM planning.tdProductLines	WHERE FactoryKey		= @FactoryKey		AND ProductLineID = @ProductLineID;
		SELECT @ProductKey		= ProductKey		FROM planning.tdProducts		WHERE ProductLineKey	= @ProductLineKey	AND ProductID = @ProductID;

		IF	@FactoryKey = 0 
			OR @ProductLineKey = 0
		BEGIN
			SET @ResultCode = 404;
			RAISERROR('Keys don`t exists', 16, 10);
		END;

		-- STEP 2 - Check rights
		EXEC @ResultCode = sx_pf_pGET_ProductLineWriteRight @TransactUsername, @FactoryID, @ProductLineID;

		IF @ResultCode <> 200
			RAISERROR('Invalid rights', 16, 10);
			
		-- STEP 3.1 - If Product dont exists, create a new row in dProducts	
		IF @ProductKey = 0
		BEGIN
			--Handle wrong time types, cut them to two characters
			IF	LEN(@TimeType) > 2 
				SET @TimeType = LEFT(@TimeType,2);

			--Create dProducts
			DECLARE @ProductKeyTable AS TABLE (KeyNumber BIGINT NOT NULL);

			INSERT INTO planning.tdProducts  
			OUTPUT Inserted.ProductKey INTO @ProductKeyTable 
			VALUES (@ProductLineKey
					,@FactoryKey
					,@ProductID
					,@ProductLineID
					,@FactoryID
					,@TimeType
					,@NameShort
					,@NameLong
					,@CommentUser
					,@CommentDev
					,@ResponsiblePerson
					,@ImageName
					,@Status
					,@Template
					,@TemplateVersion
					,IIF(@GA1  = N'<#NV>', N'', @GA1)
					,IIF(@GA2  = N'<#NV>', N'', @GA2)
					,IIF(@GA3  = N'<#NV>', N'', @GA3)
					,IIF(@GA4  = N'<#NV>', N'', @GA4)
					,IIF(@GA5  = N'<#NV>', N'', @GA5)
					,IIF(@GA6  = N'<#NV>', N'', @GA6)
					,IIF(@GA7  = N'<#NV>', N'', @GA7)
					,IIF(@GA8  = N'<#NV>', N'', @GA8)
					,IIF(@GA9  = N'<#NV>', N'', @GA9)
					,IIF(@GA10 = N'<#NV>', N'', @GA10)
					,IIF(@GA11 = N'<#NV>', N'', @GA11)
					,IIF(@GA12 = N'<#NV>', N'', @GA12)
					,IIF(@GA13 = N'<#NV>', N'', @GA13)
					,IIF(@GA14 = N'<#NV>', N'', @GA14)
					,IIF(@GA15 = N'<#NV>', N'', @GA15)
					,IIF(@GA16 = N'<#NV>', N'', @GA16)
					,IIF(@GA17 = N'<#NV>', N'', @GA17)
					,IIF(@GA18 = N'<#NV>', N'', @GA18)
					,IIF(@GA19 = N'<#NV>', N'', @GA19)
					,IIF(@GA20 = N'<#NV>', N'', @GA20)
					,IIF(@GA21 = N'<#NV>', N'', @GA21)
					,IIF(@GA22 = N'<#NV>', N'', @GA22)
					,IIF(@GA23 = N'<#NV>', N'', @GA23)
					,IIF(@GA24 = N'<#NV>', N'', @GA24)
					,IIF(@GA25 = N'<#NV>', N'', @GA25));

			SET @EffectedRows += @@ROWCOUNT;

			SELECT @ProductKey = KeyNumber 
			FROM @ProductKeyTable;

			--fStatements - create copy  informations
			INSERT INTO planning.tfStatements
			SELECT 
				@ProductKey, 
				@ProductLineKey, 
				@FactoryKey, 
				@ProductID,  
				@ProductLineID, 
				@FactoryID, 
				N'COPY' AS ActionType,
				N'Product imported by Single Product Import ' AS Statement,
				@TransactUsername AS UserName,
				N'' AS PCName, 
				N'' AS ProcessorCode, 
				N'' AS IPAddresses,
				GETUTCDATE() Timestamp,
				0 AS IsDeleted, 
				0 AS IsResolved;

			SET @EffectedRows += @@ROWCOUNT;	
			SET @ResultCode = 201;
		END;
			
		-- STEP 3.2 - Update the Product with the commited attributes
		UPDATE planning.tdProducts 
		SET  
			 TimeType			 =  IIF(@Template			 = N'<#NV>', TimeType,			RIGHT(@Template, 2))					 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 		 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 		 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	 	
			,NameShort			 =  IIF(@NameShort			 = N'<#NV>', NameShort,			@NameShort)
			,NameLong			 =  IIF(@NameLong			 = N'<#NV>', NameLong,			@NameLong)
			,CommentUser		 =  IIF(@CommentUser		 = N'<#NV>', CommentUser,		@CommentUser)
			,CommentDev			 =  IIF(@CommentDev			 = N'<#NV>', CommentDev,		@CommentDev)
			,ResponsiblePerson	 =  IIF(@ResponsiblePerson	 = N'<#NV>', ResponsiblePerson, @ResponsiblePerson)
			,ImageName			 =  IIF(@ImageName			 = N'<#NV>', ImageName,			@ImageName)
			,Status				 =  IIF(@Status				 = N'<#NV>', Status,			@Status)
			,Template			 =  IIF(@Template			 = N'<#NV>', Template,			@Template)
			,TemplateVersion	 =  IIF(@TemplateVersion	 = N'<#NV>', TemplateVersion,	@TemplateVersion)
			,GlobalAttribute1	 =  IIF(@GA1				 = N'<#NV>', GlobalAttribute1,	@GA1)
			,GlobalAttribute2	 =  IIF(@GA2 				 = N'<#NV>', GlobalAttribute2,	@GA2)	
			,GlobalAttribute3	 =  IIF(@GA3 				 = N'<#NV>', GlobalAttribute3,	@GA3)
			,GlobalAttribute4	 =  IIF(@GA4 				 = N'<#NV>', GlobalAttribute4,	@GA4)	
			,GlobalAttribute5	 =  IIF(@GA5 				 = N'<#NV>', GlobalAttribute5,	@GA5)
			,GlobalAttribute6	 =  IIF(@GA6 				 = N'<#NV>', GlobalAttribute6,	@GA6)	
			,GlobalAttribute7	 =  IIF(@GA7 				 = N'<#NV>', GlobalAttribute7,	@GA7)
			,GlobalAttribute8	 =  IIF(@GA8 				 = N'<#NV>', GlobalAttribute8,	@GA8)	
			,GlobalAttribute9	 =  IIF(@GA9 				 = N'<#NV>', GlobalAttribute9,	@GA9)
			,GlobalAttribute10	 =  IIF(@GA10 				 = N'<#NV>', GlobalAttribute10, @GA10)
			,GlobalAttribute11	 =  IIF(@GA11 				 = N'<#NV>', GlobalAttribute11, @GA11)
			,GlobalAttribute12	 =  IIF(@GA12 				 = N'<#NV>', GlobalAttribute12, @GA12)
			,GlobalAttribute13	 =  IIF(@GA13 				 = N'<#NV>', GlobalAttribute13, @GA13)
			,GlobalAttribute14	 =  IIF(@GA14 				 = N'<#NV>', GlobalAttribute14, @GA14)
			,GlobalAttribute15	 =  IIF(@GA15 				 = N'<#NV>', GlobalAttribute15, @GA15)
			,GlobalAttribute16	 =  IIF(@GA16 				 = N'<#NV>', GlobalAttribute16, @GA16)
			,GlobalAttribute17	 =  IIF(@GA17 				 = N'<#NV>', GlobalAttribute17, @GA17)
			,GlobalAttribute18	 =  IIF(@GA18 				 = N'<#NV>', GlobalAttribute18, @GA18)
			,GlobalAttribute19	 =  IIF(@GA19 				 = N'<#NV>', GlobalAttribute19, @GA19)
			,GlobalAttribute20	 =  IIF(@GA20 				 = N'<#NV>', GlobalAttribute20, @GA20)
			,GlobalAttribute21	 =  IIF(@GA21 				 = N'<#NV>', GlobalAttribute21, @GA21)
			,GlobalAttribute22	 =  IIF(@GA22 				 = N'<#NV>', GlobalAttribute22, @GA22)
			,GlobalAttribute23	 =  IIF(@GA23 				 = N'<#NV>', GlobalAttribute23, @GA23)
			,GlobalAttribute24	 =  IIF(@GA24 				 = N'<#NV>', GlobalAttribute24, @GA24)
			,GlobalAttribute25	 =  IIF(@GA25				 = N'<#NV>', GlobalAttribute25, @GA25)	
		FROM planning.tdProducts
		WHERE ProductKey = @ProductKey;

		SET @EffectedRows += @@ROWCOUNT;	

		COMMIT TRANSACTION sx_pf_POST_ProductEmpty;
	END TRY
	BEGIN CATCH
		DECLARE @Error_state INT = ERROR_STATE();
		SET @Comment = ERROR_MESSAGE();

		ROLLBACK TRANSACTION sx_pf_POST_ProductEmpty;		

		IF @Error_state <> 10 
		BEGIN
			SET @ResultCode = 500;		
			PRINT 'Rollback due to not executable command.';
		END
		ELSE IF @ResultCode IS NULL OR @ResultCode/100 = 2
		BEGIN
			SET @ResultCode = 500;	
		END;
	END CATCH

	EXEC dbo.sx_pf_pPOST_API_LogEntry @Username, @TransactUsername, @ProcedureName, @ParameterString, @EffectedRows, @ResultCode, @TimestampCall, @Comment;
	RETURN @ResultCode;
END
GO
 
ALTER AUTHORIZATION ON OBJECT ::dbo.sx_pf_POST_ProductEmpty TO pf_PlanningFactoryService;
GRANT EXECUTE ON OBJECT ::dbo.sx_pf_POST_ProductEmpty TO pf_PlanningFactoryUser;
GO

-- SET documentation variables      ***********************************************************************
DECLARE
     @level0name        NVARCHAR(255)  = N'dbo'					-- enter schema name of the table
    ,@level1name        NVARCHAR(255)  = N'sx_pf_POST_ProductEmpty'				-- enter procedure name
    ,@SX_Owner	        NVARCHAR(255)  = N'OCT.core'						-- enter owner name of the procedure from list (OCT.core, OCT.modules, Custom)
    ,@SX_Module			NVARCHAR(255)  = N'CORE'							-- enter module name as free text  (CORE,FIN, DEBKRED, HR, ...)
    ,@SX_ShipmentFlag	INT            = 1									-- 0 = Demo object - out of shipment process
																			
																			-- STANDARD OBJECTS
																			-- 1 = shiped from saxess standard without modification
																			-- 2 = shiped from saxess standard modified FOR customer from saxess
																			-- 3 = shiped from saxess standard modified FOR customer from partner
																			-- 4 = shiped from saxess standard modified FROM customer themself for own needs
																			-- CUSTOM OBJECTS
																			-- 10 = shiped from saxess as customer specific object
																			-- 11 = shiped from partner	as customer specific object
																			-- 12 = shiped from customer as own specific object

	,@SX_UserHint		NVARCHAR(2000) = N''								-- optional, fill if Procedure shall be offerend for end user (e.g. for Pivot / Datagrid usage)
                                                             
 
-- KEEP this default constants      *************************************************************************
DECLARE
     @name          NVARCHAR(255)   = N'MS_Description'
    ,@level0type    NVARCHAR(255)   = N'SCHEMA'
    ,@level1type    NVARCHAR(255)   = N'PROCEDURE'
    ,@level2type    NVARCHAR(255)   = N'PARAMETER'
    ,@level2name    NVARCHAR(255)   = N''
    ,@value         NVARCHAR(1000)  = N'';
 
    SET @value = @SX_Owner;
    EXEC sys.sp_addextendedproperty N'SX_Owner'			,@value,@level0type,@level0name,@level1type,@level1name;
 
    SET @value = @SX_Module;
    EXEC sys.sp_addextendedproperty N'SX_Module'		,@value,@level0type,@level0name,@level1type,@level1name;
 
    SET @value = @SX_ShipmentFlag;
    EXEC sys.sp_addextendedproperty N'SX_ShipmentFlag'	,@value,@level0type,@level0name,@level1type,@level1name;

	SET @value = @SX_UserHint;
    EXEC sys.sp_addextendedproperty N'SX_UserHint'		,@value,@level0type,@level0name,@level1type,@level1name;
 
 
-- SET documententation             *************************************************************************
 
 
-- SET Procedure documentation
    SET @value = N'POST Operation for one empty Product
         Not existing Product will be created, existing gets an Update
         If attributes passed  with value <#NV>, it will be ignored during the update and maintain the existing value, during insert the attribute is created empty
         If product will have no TimeIDs, as it has no values
         If product will have no ValueSeries, when created new';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name;
 
    SET @level2name = N'@Username';
    SET @value      = N'Username';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@ProductID';
    SET @value      = N'ProductID';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@ProductLineID';
    SET @value      = N'ProductLineID';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@FactoryID';
    SET @value      = N'FactoryID';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@TimeType';
    SET @value      = N'TimeType';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@NameShort';
    SET @value      = N'NameShort';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@NameLong';
    SET @value      = N'NameLong';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@CommentUser';
    SET @value      = N'CommentUser';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@CommentDev';
    SET @value      = N'CommentDev';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@ResponsiblePerson';
    SET @value      = N'ResponsiblePerson';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@ImageName';
    SET @value      = N'ImageName';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@Status';
    SET @value      = N'Status';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@Template';
    SET @value      = N'Template';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@TemplateVersion';
    SET @value      = N'TemplateVersion';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA1';
    SET @value      = N'GA1';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA2';
    SET @value      = N'GA2';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA3';
    SET @value      = N'GA3';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA4';
    SET @value      = N'GA4';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA5';
    SET @value      = N'GA5';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA6';
    SET @value      = N'GA6';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA7';
    SET @value      = N'GA7';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA8';
    SET @value      = N'GA8';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA9';
    SET @value      = N'GA9';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA10';
    SET @value      = N'GA10';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA11';
    SET @value      = N'GA11';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA12';
    SET @value      = N'GA12';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA13';
    SET @value      = N'GA13';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA14';
    SET @value      = N'GA14';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA15';
    SET @value      = N'GA15';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA16';
    SET @value      = N'GA16';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA17';
    SET @value      = N'GA17';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA18';
    SET @value      = N'GA18';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA19';
    SET @value      = N'GA19';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA20';
    SET @value      = N'GA20';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA21';
    SET @value      = N'GA21';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA22';
    SET @value      = N'GA22';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA23';
    SET @value      = N'GA23';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA24';
    SET @value      = N'GA24';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'@GA25';
    SET @value      = N'GA25';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
GO
