
DROP TABLE IF EXISTS load.tdProductLines;
GO
/*
	Table to store ProductLines
 
	Gerd Tautenhahn for Saxess Software GmbH
	Last modified: 02/2023 for OCT 5.9
 
	Testcall
		SELECT * FROM load.tdProductLines

	Testcall Documentation
		SELECT * FROM ::fn_listextendedproperty (NULL, 'SCHEMA', 'load', 'TABLE', 'tdProductLines',NULL,default)
		UNION ALL
		SELECT * FROM ::fn_listextendedproperty (NULL, 'SCHEMA', 'load', 'TABLE', 'tdProductLines','COLUMN',default)
*/

CREATE TABLE load.tdProductLines(
	 RowKey						INT				NOT NULL IDENTITY (1,1)
	,ProductLineID				NVARCHAR(255)	NOT NULL
	,FactoryID					NVARCHAR(255)	NOT NULL
	,NameShort					NVARCHAR(255)	NOT NULL
	,NameLong					NVARCHAR(255)	NOT NULL
	,CommentUser				NVARCHAR(MAX)	NOT NULL
	,CommentDev					NVARCHAR(MAX)	NOT NULL
	,ResponsiblePerson			NVARCHAR(255)	NOT NULL
	,ImageName					NVARCHAR(255)	NOT NULL
	,DefaultTemplate			NVARCHAR(255)	NOT NULL

	,GlobalAttributeSource1		NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias1		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource2		NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias2		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource3		NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias3		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource4		NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias4		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource5		NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias5		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource6		NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias6		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource7		NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias7		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource8		NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias8		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource9		NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias9		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource10	NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias10		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource11	NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias11		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource12	NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias12		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource13	NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias13		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource14	NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias14		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource15	NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias15		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource16	NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias16		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource17	NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias17		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource18	NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias18		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource19	NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias19		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource20	NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias20		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource21	NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias21		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource22	NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias22		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource23	NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias23		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource24	NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias24		NVARCHAR(255)	NOT NULL
	,GlobalAttributeSource25	NVARCHAR(255)	NOT NULL
	,GlobalAttributeAlias25		NVARCHAR(255)	NOT NULL
	,Source						NVARCHAR(255)	NOT NULL
	,SourceTimeStamp			DATETIME		NOT NULL

	,CONSTRAINT PK_load_tdProductLines PRIMARY KEY CLUSTERED (RowKey)
	)

GO

-- SET documentation variables      ***********************************************************************
DECLARE
     @level0name        NVARCHAR(255)   = N'load'			-- enter schema name of the table
    ,@level1name        NVARCHAR(255)   = N'tdProductLines' -- enter table name
    ,@SX_Owner			NVARCHAR(255)	= N'OCT.core'       -- enter owner name of the table from list (OCT.core, OCT.modules, Custom)
    ,@SX_Module			NVARCHAR(255)	= N'CORE'           -- module name as free text  (CORE,FIN, DEBKRED, HR, ...)
    ,@SX_ShipmentFlag   INT             = 1                 -- 0 = Demo object - out of shipment process
                                                            -- STANDARD OBJECTS
                                                            -- 1 = shiped from saxess standard without modification
                                                            -- 2 = shiped from saxess standard modified FOR customer from saxess
                                                            -- 3 = shiped from saxess standard modified FOR customer from partner
                                                            -- 4 = shiped from saxess standard modified FROM customer themself for own needs
															-- CUSTOM OBJECTS
                                                            -- 10 = shiped from saxess as customer specific object
															-- 11 = shiped from partner	as customer specific object
															-- 12 = shiped from customer as own specific object
                                                             
-- KEEP this default constants      *************************************************************************
DECLARE
     @name          NVARCHAR(255)   = N'MS_Description'
    ,@level0type    NVARCHAR(255)   = N'SCHEMA'
    ,@level1type    NVARCHAR(255)   = N'TABLE'
    ,@level2type    NVARCHAR(255)   = N'COLUMN'
    ,@level2name    NVARCHAR(255)   = N''
    ,@value         NVARCHAR(1000)  = N'';
 
    SET @value = @SX_Owner;
    EXEC sys.sp_addextendedproperty 'SX_Owner'			,@value,@level0type,@level0name,@level1type,@level1name;
 
    SET @value = @SX_Module;
    EXEC sys.sp_addextendedproperty 'SX_Module'			,@value,@level0type,@level0name,@level1type,@level1name;
 
    SET @value = @SX_ShipmentFlag;
    EXEC sys.sp_addextendedproperty 'SX_ShipmentFlag'	,@value,@level0type,@level0name,@level1type,@level1name;
 
-- SET documententation             *************************************************************************
 
-- SET table documentation
    SET @value = N'Table to store ProductLines.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name;
 
-- SET columns documentation
 
    SET @level2name = N'RowKey';
    SET @value      = N'Technical Primary Key for row identity.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
	SET @level2name = N'ProductLineID';
    SET @value      = N'ProductLine ID.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'FactoryID';
    SET @value      = N'Factory ID.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'NameShort';
    SET @value      = N'The short name of the productline.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'NameLong';
    SET @value      = N'The long name of the productline.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'CommentUser';
    SET @value      = N'The user comment.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'CommentDev';
    SET @value      = N'The development comment.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'ResponsiblePerson';
    SET @value      = N'The responsible person.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'ImageName';
    SET @value      = N'The image name.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'DefaultTemplate';
    SET @value      = N'The default template.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource1';
    SET @value      = N'The source of the 1. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias1';
    SET @value      = N'The alias of the 1. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource2';
    SET @value      = N'The source of the 2. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias2';
    SET @value      = N'The alias of the 2. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource3';
    SET @value      = N'The source of the 3. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias3';
    SET @value      = N'The alias of the 3. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource4';
    SET @value      = N'The source of the 4. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias4';
    SET @value      = N'The alias of the 4. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource5';
    SET @value      = N'The source of the 5. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias5';
    SET @value      = N'The alias of the 5. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource6';
    SET @value      = N'The source of the 6. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias6';
    SET @value      = N'The alias of the 6. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource7';
    SET @value      = N'The source of the 7. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias7';
    SET @value      = N'The alias of the 7. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource8';
    SET @value      = N'The source of the 8. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias8';
    SET @value      = N'The alias of the 8. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource9';
    SET @value      = N'The source of the 9. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias9';
    SET @value      = N'The alias of the 9. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource10';
    SET @value      = N'The source of the 10. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias10';
    SET @value      = N'The alias of the 10. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource11';
    SET @value      = N'The source of the 11. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias11';
    SET @value      = N'The alias of the 11. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource12';
    SET @value      = N'The source of the 12. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias12';
    SET @value      = N'The alias of the 12. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource13';
    SET @value      = N'The source of the 13. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias13';
    SET @value      = N'The alias of the 13. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource14';
    SET @value      = N'The source of the 14. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias14';
    SET @value      = N'The alias of the 14. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource15';
    SET @value      = N'The source of the 15. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias15';
    SET @value      = N'The alias of the 15. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource16';
    SET @value      = N'The source of the 16. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias16';
    SET @value      = N'The alias of the 16. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource17';
    SET @value      = N'The source of the 17. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias17';
    SET @value      = N'The alias of the 17. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource18';
    SET @value      = N'The source of the 18. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias18';
    SET @value      = N'The alias of the 18. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource19';
    SET @value      = N'The source of the 19. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias19';
    SET @value      = N'The alias of the 19. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource20';
    SET @value      = N'The source of the 20. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias20';
    SET @value      = N'The alias of the 20. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	    SET @level2name = N'GlobalAttributeSource21';
    SET @value      = N'The source of the 21. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias21';
    SET @value      = N'The alias of the 21. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource22';
    SET @value      = N'The source of the 22. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias22';
    SET @value      = N'The alias of the 22. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource23';
    SET @value      = N'The source of the 23. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias23';
    SET @value      = N'The alias of the 23. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource24';
    SET @value      = N'The source of the 24. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias24';
    SET @value      = N'The alias of the 24. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
 
    SET @level2name = N'GlobalAttributeSource25';
    SET @value      = N'The source of the 25. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	SET @level2name = N'GlobalAttributeAlias25';
    SET @value      = N'The alias of the 25. global attribute.';
    EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;

	GO
