/*
Saxess Software GmbH
06/2023 for OCT 5.9
 
Testcall
	SELECT * FROM agent.vJSON_global_tCompanies

Testcall Documentation
	SELECT * FROM ::fn_listextendedproperty (NULL, 'SCHEMA', 'agent', 'VIEW', 'vJSON_global_tCompanies',NULL,default)
	UNION ALL
	SELECT * FROM ::fn_listextendedproperty (NULL, 'SCHEMA', 'agent', 'VIEW', 'vJSON_global_tCompanies','COLUMN',default)

*/

DROP VIEW IF EXISTS agent.vJSON_global_tCompanies;
GO

PRINT('Creating view agent.vJSON_global_tCompanies')
GO

CREATE VIEW agent.vJSON_global_tCompanies
AS
    SELECT c.RowKey AS RowKey
    FROM global.tCompanies AS c;
GO

-- SET documentation variables      ***********************************************************************
DECLARE
     @level0name        NVARCHAR(255)   = N'agent'					-- enter schema name of the view
    ,@level1name        NVARCHAR(255)   = N'vJSON_global_tCompanies'      -- enter view name
    ,@SX_Owner			NVARCHAR(255)	= N'OCT.modules'				-- enter owner name of the view from list (OCT.core, OCT.modules, Custom)
    ,@SX_Module			NVARCHAR(255)	= N'FIN'					-- module name as free text  (CORE,FIN, DEBKRED, HR, ...)
    ,@SX_ShipmentFlag   INT             = 1                         -- 0 = Demo object - out of shipment process
                                                                    -- STANDARD OBJECTS
                                                                    -- 1 = shiped from saxess standard without modification
                                                                    -- 2 = shiped from saxess standard modified FOR customer from saxess
                                                                    -- 3 = shiped from saxess standard modified FOR customer from partner
                                                                    -- 4 = shiped from saxess standard modified FROM customer themself for own needs
															        -- CUSTOM OBJECTS
                                                                    -- 10 = shiped from saxess as customer specific object
															        -- 11 = shiped from partner	as customer specific object
															        -- 12 = shiped from customer as own specific object
                                                             
-- KEEP this default constants      *************************************************************************
DECLARE
     @name          NVARCHAR(255)   = N'MS_Description'
    ,@level0type    NVARCHAR(255)   = N'SCHEMA'
    ,@level1type    NVARCHAR(255)   = N'VIEW'
    ,@level2type    NVARCHAR(255)   = N'COLUMN'
    ,@level2name    NVARCHAR(255)   = N''
    ,@value         NVARCHAR(1000)  = N'';
 
    SET @value = @SX_Owner;
    EXEC sys.sp_addextendedproperty 'SX_Owner'			,@value,@level0type,@level0name,@level1type,@level1name;
 
    SET @value = @SX_Module;
    EXEC sys.sp_addextendedproperty 'SX_Module'			,@value,@level0type,@level0name,@level1type,@level1name;
 
    SET @value = @SX_ShipmentFlag;
    EXEC sys.sp_addextendedproperty 'SX_ShipmentFlag'	,@value,@level0type,@level0name,@level1type,@level1name;
 
-- SET documententation             *************************************************************************

-- SET View documentation
	SET @value = N'This view resolves the CustomValuesJSON column in table global.tCompanies to actual columns.';
	EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name;

-- SET parameter documentation
	SET @level2name = N'RowKey';
	SET @value = N'RowKey';
	EXEC sys.sp_addextendedproperty @name,@value,@level0type,@level0name,@level1type,@level1name,@level2type,@level2name;
GO