
/*
	Script for creating internal User with Adminstrator Rights
	Gerd Tautenhahn, Saxess Software GmbH 
	Last modified: 02/2023 for OCT 5.9
*/

DECLARE	  @Username		NVARCHAR(255)
		 ,@UserNachname	NVARCHAR(255)
		 ,@UserVorname	NVARCHAR(255)
		 ,@UserMail		NVARCHAR(255);

--######## CONFIGURATION ##################################

--1a. Define User and Rights
SET @Username = ORIGINAL_LOGIN();		-- the User who executes this script
										-- or could be defined by name e.g. 'W10\admin'

--1b. Optional
SET @UserNachname	= N'';
SET @UserVorname	= N'';
SET @UserMail		= N'';

--######## END CONFIGURATION ##################################

--2. Delete User if already exits
DELETE FROM	system.trUser		WHERE UserName = @Username;
DELETE FROM system.trRights		WHERE UserName = @Username;

DECLARE @UserKey INTEGER;

INSERT INTO system.trUser
           (
			UserName
           ,PersonSurname
           ,PersonFirstName
           ,Email
           ,LDAPIP
           ,[Status]
           ,DataFlowRightsCODE
		   ,VisualizationRightsCODE
		   ,IsAdministratorFlag
		   )
     VALUES
           (
		    @Username 
           ,@UserNachname
           ,@UserVorname 
           ,@UserMail
           ,N''
           ,N'Active'
           ,N'DESIGNER'
		   ,N'DESIGNER'
		   ,1
		   );

SELECT @UserKey = scope_identity();

INSERT INTO system.trRights
           (
			UserKey
           ,UserName
           ,FactoryID
           ,ProductLineID
           ,ProductID
           ,[Right]
		   ,ReadCommentMandatory
		   ,WriteCommentMandatory
		   )
     VALUES
           (
			@UserKey
           ,@Username
           ,N''
           ,N''
           ,N''
           ,N'Write'
		   ,0
		   ,0
		   );
GO
